import React, { useState, useRef, useEffect } from "react"
import {
  Typography,
  Box,
  Grid,
  Container,
  Toolbar,
  Paper,
} from "@material-ui/core"
import Nav from "../../components/Navbar"
import Navdown from "../../components/Navdown"
import { Content, StyledContainer, LetterButton, DefPage } from "./styles"
import Reference from '../../components/Reference'
import Header from "../../components/Header"
import Footer from "../../components/Footer"
import Card from "../../components/Card"

import pdf1 from '../../assets/documents/versaopdf.pdf'

//assets
import close from '../../assets/buttons/btn_fechar.svg'
import {
  Menu,
  Home,
  HelpOutline,
  Replay,
  ArrowBack,
  ArrowForward,
} from "@material-ui/icons"

export default function (props) {
  const [ text, setText ] = useState(1)

  var ref = props.referencia
  var effect = props.effect
  const headerref = useRef(Header)
  const openRef = (key) => {
    if (!headerref.current) {
      return
    }
    headerref.current.openRef(key)
  }

  useEffect(() => {
    console.log('teste')
    console.log({ref})
    if (ref !== 0 && ref !== undefined) {
      openRef(ref)
    }
  }, [ref, effect])

  return (
    <StyledContainer color={props.color}>
      {props.header ? <Header title={props.title3} ref={headerref} download={pdf1} /> : ''}
      <Box className="container" >

        <Content>
          <Box id="content">
            {props.title1 || props.title2 || props.title3 ? 
            <Box id="title">
              { props.title1 ? <Typography variant="h2">{props.title1}</Typography> : <></> }
              { props.title2 ? <Typography variant="body2" id='title2'>{props.title2}</Typography> : <></> }
              { props.title3 ? <Typography variant="body2" id='title3'>{props.title3}</Typography> : <></> }
            </Box>
            :
            <></>}
            <DefPage>
              {props.children}
            </DefPage>
          </Box>
        </Content>
      </Box>
      <Footer replay={props.replay} between={props.between} prev={props.prev} next={props.next} footerColor={props.footerColor} />
    </StyledContainer>
  )
}
