import React from "react"

import { Button, ActionButton } from "./styles"
import theme from '../../theme'
//Button leva pra algum lugar, ActionButton executa uma ação mas não troca a página

import { MenuIcon, HomeIcon, PrevIcon, NextIcon, HelpIcon, DownloadIcon, ReplayIcon, AudioIcon, CloseIcon, ZoomIcon } from './icons'

//assets
import { HelpOutline } from "@material-ui/icons"
import btn_home from "../../assets/buttons/btn_home.svg"
import btn_download from "../../assets/buttons/download.svg"
import btn_menu from "../../assets/buttons/btn_menu.svg"
import btn_prev from '../../assets/buttons/btn_prev.svg'
import btn_next from '../../assets/buttons/btn_next.svg'
import btn_replay from '../../assets/buttons/replay.svg'

export default function (props) {
  const { type, color, margin, to, disabled, opacity, onClick, tooltip } = props

  const Icon = () => {
    return (
      <>
        {
          {
            home: <HomeIcon fill={theme.palette.button.rbIcon}/>,
            menu: <MenuIcon fill={theme.palette.button.rbIcon}/>,
            help: <HelpIcon fill={theme.palette.button.rbIcon}/>,
            replay: <ReplayIcon fill={theme.palette.button.rbIcon}/>,
            previous: <PrevIcon fill={theme.palette.button.rbIcon}/>,
            next: <NextIcon fill={theme.palette.button.rbIcon}/>,
            download: <DownloadIcon fill={theme.palette.button.rbIcon}/>,
            //adicionar mais conforme necessário
          }[type]
        }
      </>
    )    
  }

  return (
    <>
      {to ? (
        <Button to={to} color={theme.palette.button.rb} margin={margin} tooltip={tooltip} data-tooltip={tooltip}>          
          <Icon type={type} disabled={disabled}/>
        </Button>
      ) : (
        <>
          {disabled ? (
            <ActionButton disabled />            
          ) : (
            <>
              {opacity ? (
                <ActionButton color={theme.palette.button.rb} margin={margin} opacity>
                  <Icon type={type} disabled={disabled}/>
                </ActionButton>
              ) : (
                <ActionButton color={theme.palette.button.rb} margin={margin} tooltip={tooltip} onClick={onClick} data-tooltip={tooltip}>
                  <Icon type={type} disabled={disabled}/>
                </ActionButton>
              )}
            </>
          )}
        </>
      )}
    </>
  )
}
