import React, { useState, useRef, useEffect, useMedia } from 'react'
import { Typography, Box, useMediaQuery } from '@material-ui/core'
import DefaultPage from '../../components/DefaultPage'
import { StyledContainer, Modal } from './styles'
import Reference from '../../components/Reference'

import fechar from '../../assets/buttons/fechar.svg'
import bg from '../../assets/imagesNova/p10A.png'
import bgMobile from '../../assets/imagesNova/p10AMobile.png'
import botao1 from '../../assets/imagesNova/p10B.png'
import botao2 from '../../assets/imagesNova/p10C.png'
import botao3 from '../../assets/imagesNova/p10D.png'

export default function () {
  const texto1 = <p>Para as pessoas que atendam aos critérios de vulnerabilidade socioeconômica ou perfil demográfico;</p>
  const texto2 = <p>Para as pessoas que não se enquadrem nos critérios de vulnerabilidade socioeconômica ou perfil demográfico;</p>
  const texto3 = <p>De acordo com a classificação geográfica do município ou Distrito Federal, observada a tipologia rural-urbana definida pelo IBGE.</p>

  const [exibirTexto, setTexto] = useState(texto1)

  const [ref, setRef] = useState(0)
  const [effect, setEffect] = useState(false)

  const web = useMediaQuery('(min-width: 900px)')

  const visible = {
    visibility: 'visible'
  }
  const noVisible = {
    visibility: 'collapse'
  }
  const [modal, setModal] = useState(noVisible)

  return (
    <DefaultPage header title3='Como se dará a transferência do incentivo financeiro da capitação ponderada?' referencia={ref} effect={effect} footerColor='#18bfc5' replay='/p8'>
      <StyledContainer>
        <Typography variant='body1'>
          O recurso financeiro será transferido mensalmente e recalculado simultaneamente para todos os municípios ou Distrito Federal a cada quatro competências financeiras. Como gestor, você deve estar atento para o fato de que serão contabilizados cadastros com o preenchimento do Cartão Nacional de Saúde (CNS) ou CPF válido.
        </Typography>
        <Typography variant='body1'>
          Importante destacar que a vinculação do financiamento ao cadastro não muda a concepção de acesso às ações e serviços de saúde. O acesso permanece universal, contudo, no repasse do incentivo financeiro será considerada a população cadastrada. Ou seja, o cadastro adequadamente preenchido e atualizado passa a ser fundamental para o repasse financeiro.
        </Typography>
        <Typography variant='body1'>
          A partir da capitação ponderada estão expressas as seguintes diferenças referentes ao peso por pessoa cadastrada (<strong>clique</strong> nos botões abaixo):
        </Typography>

        <Box className='box'>
          {
            web
              ? <Box className='bg-desktop'>
                <img src={bg} alt='' />
              </Box>

              : <Box className='bg-mobile'>
                <img src={bgMobile} alt=''/>
              </Box>
          }
          <Box id='botao1' className='botao'>
            <img src={botao1} alt='' onClick={() => [setTexto(texto1), setModal(visible)]} />
          </Box>
          <Box id='botao2' className='botao'>
            <img src={botao2} alt='' onClick={() => [setTexto(texto2), setModal(visible)]} />
          </Box>
          <Box id='botao3' className='botao'>
            <img src={botao3} alt='' onClick={() => [setTexto(texto3), setModal(visible)]} />
          </Box>
        </Box>
        <Modal style={modal}>
          <Typography variant='body1' id='modal'>
            {exibirTexto}
          </Typography>
          <div id='button'>
            <img src={fechar} alt='' id='fechar' onClick={() => setModal(noVisible)} />
          </div>
        </Modal>
      </StyledContainer>
    </DefaultPage>
  )
}
