import styled from 'styled-components'
import { AppBar, Box, createMuiTheme } from '@material-ui/core'
import { apple_polyfill } from '../../theme/commonstyles'

export const StyledContainer = styled(Box)`
  position: relative;
  height: 100%;

  ${apple_polyfill};

  img{
    max-width: 100%;
  }

  .box{
    position: relative;
  }

  .bg-desktop{
    width: 40vw;
    margin: 0 auto;
    @media(max-width: 900px){
      display: none;
    }
  }

  .bg-mobile{
    @media(min-width: 900px){
      display: none;
    }
  }

  .botao{
    position: absolute;
    top: 14%;
    width: 13%;
  }

  .botao:hover{
    cursor: pointer;
    transform: scale(1.1)
  }
  
  #botao1{
    left: 27.7%;
    @media(max-width: 900px){
      width: 52%;
      left: 58%;
      transform: translateX(-50%);
      top: 6.8%;
    }
  }
  #botao2{
    left: 43%;
    @media(max-width: 900px){
      width: 52%;
      left: 58%;
      transform: translateX(-50%);
      top: 36.5%;
    }
  }
  #botao3{
    left: 58%;
    @media(max-width: 900px){
      width: 52%;
      left: 58%;
      transform: translateX(-50%);
      top: 66%;
    }
  }



`
export const Modal = styled.div`
  position: absolute;
  background-color: #ffffff;
  padding: 3rem;
  width: 80%;
  height: auto;
  border: solid;
  border-color: #18bfc5;
  border-width: 2px;
  border-radius: 10px;
  box-shadow: -5px 5px 5px rgba(0, 0, 0, 0.3);
  bottom: 30vh;
  left: 10%;
  z-index: 100;
  @media(max-width: 900px){
    width: 90%;
    left: 0;
    bottom: 60vh;
    padding: 1rem;
    position: relative;

  }
  #button{
    #fechar{
      position: absolute;
      height: 5vh;
      top: -2vh;
      right: -2vh;
      cursor: pointer;
      border-radius: 10px;
      box-shadow: -3px 3px 3px rgba(0, 0, 0, 0.3);
      
    }
    #fechar:hover{
    transform: scale(1.1)
  }
  
`
