import React, { useState } from 'react'
import { Typography, Box } from '@material-ui/core'
import DefaultPage from '../../components/DefaultPage'
import Attention from '../../components/Attention'
import { StyledContainer, Modal, SaberMais } from './styles'

import objetivoIcon from '../../assets/buttons/sabermais.png'
import plus from '../../assets/buttons/menu.png'
import fechar from '../../assets/buttons/fechar.svg'
import sabermais from '../../assets/buttons/sabermais.png'

export default function () {
  const visible = {
    visibility: 'visible'
  }
  const noVisible = {
    visibility: 'collapse'
  }
  const [modal, setModal] = useState(noVisible)
  const [modalSB, setSBModal] = useState(noVisible)

  return (
    <>
      <DefaultPage replay='/p8' title3='Conforme o novo modelo de financiamento, como o gestor enquadrará o usuário como vulnerável do ponto de vista socioeconômico?' header footerColor='#18bfc5' className='display-block'>
        <StyledContainer>
          <Typography variant='body1'>
            <p>Tomando como base as pessoas cadastradas e beneficiárias no:</p>

          </Typography>
          <Typography variant='body1'>
            <Box className='d-flex justify-content-between caixas-mobile'>
              <p className='ml-1' id='box-text'>Programa Bolsa Família</p>
              <p className='position-relative' id='box-text'>
              Benefício de Prestação Continuada (BPC)
                <img src={plus} alt='' id='plus' onClick={() => setModal(visible)} />
              </p>
              <p id='box-text'>Benefício previdenciário no valor de até dois salários-mínimos</p>
            </Box>
          </Typography>
          <Typography variant='body1'>
            <p>Perceba a importância da intersetorialidade, da integração das políticas de saúde e assistência social para a identificação e o acompanhamento do usuário vulnerável. Na capitação ponderada, no que se refere ao critério de perfil demográfico por faixa etária, são contempladas pessoas cadastradas com idade até 5 (cinco) anos e com 65 (sessenta e cinco) anos ou mais.</p>
          </Typography>
          <Modal style={modal}>
            <Typography variant='body1' id='modal'>
          O BPC destina-se aos idosos com mais de 65 anos e às pessoas com deficiência, desde que o critério elegibilidade seja atendido, pois, para ter direito ao benefício é necessário que a renda por pessoa do grupo familiar seja inferior a 1/4 do salário-mínimo.
            </Typography>
            <div id='button'>
              <img src={fechar} alt='' id='fechar' onClick={() => setModal(noVisible)} />
            </div>
          </Modal>

          <Box id='box-button'>
            <Typography className='d-flex botao-saber-mais' variant='body1' onClick={() => [setSBModal(visible)]}>
              <img src={sabermais} alt='para saber mais' id='saber-mais' />
              <p id='psm-text'>
            PARA SABER MAIS
              </p>
            </Typography>
          </Box>
        </StyledContainer>
      </DefaultPage>
      <SaberMais style={modalSB}>
        <Typography className='d-flex botao-saber-mais-modal' variant='body1'>
          <img src={sabermais} alt='para saber mais' id='saber-mais-modal' />
          <p id='psm-text-modal'>
        PARA SABER MAIS
          </p>
        </Typography>
        <Typography variant='body1' id='modal'>
          <p>
        Como você já viu, com o Previne Brasil são priorizadas no cálculo para definição do incentivo financeiro as pessoas cadastradas que atendem aos critérios de vulnerabilidade socioeconômica e perfil demográfico. Sobre os critérios de vulnerabilidade, fique atento e saiba mais sobre os objetivos e critérios dos programas Bolsa Família e Benefício de Prestação Continuada.
          </p>
          <p>
        O Bolsa Família é realizado pela Secretaria Nacional de Renda de Cidadania, este Programa tem por objetivos contribuir com o combate à pobreza a partir de três eixos principais: complemento da renda, acesso a direitos (as famílias devem cumprir alguns compromissos (condicionalidades), que têm como objetivo reforçar o acesso à educação, à saúde e à assistência social) e articulação com outras ações.
          </p>
          <p>
        Quem pode fazer parte do Bolsa Família? Todas as famílias com renda por pessoa de até R$ 89,00 mensais; e famílias com renda por pessoa entre R$ 89,01 e R$ 178,00 mensais, desde que tenham crianças ou adolescentes de 0 a 17 anos. Acesse mais informações sobre o Programa Bolsa Família, clicando nos links abaixo:
          </p>
          <ul>
            <li><a href='https://www.gov.br/cidadania/pt-br/acoes-e-programas/bolsa-familia' target='_blank'>Ministério da Cidadania – Bolsa Família</a></li>
          </ul>
          <p>
          O Benefício de Prestação Continuada (BPC) destina-se aos idosos com mais de 65 anos e pessoas com deficiência, desde que o critério elegibilidade, pois para ter direito é necessário que a renda por pessoa do grupo familiar seja inferior a 1/4 do salário-mínimo. Confira mais informações sobre o BPC.
          </p>
          <ul>
            <li>
              <a href='https://www.gov.br/previdencia/pt-br/assuntos/outros/beneficio-assistencial-bpc-loas' target='_blank'>BPC destinado ao idoso</a>
            </li>
            <li>
              <a href='https://www.gov.br/inss/pt-br/saiba-mais/beneficios-assistenciais/beneficio-assistencial-a-pessoa-com-deficiencia-bpc' target='_blank'>BPC destinado à pessoa com deficiência</a>
            </li>
          </ul>
        </Typography>
        <div id='button'>
          <img src={fechar} alt='' id='fechar' onClick={() => setSBModal(noVisible)} />
        </div>
      </SaberMais>
    </>
  )
}
