import styled from 'styled-components'
import { AppBar, Box, createMuiTheme } from '@material-ui/core'
import { apple_polyfill } from '../../theme/commonstyles'

export const StyledContainer = styled(Box)`
  position: relative;
  height: 100%;
  margin-top: 0vh;

  ${apple_polyfill};

  #box-text{
    background:linear-gradient(to right, #36909A , #3B9DAA, #36909A);
    padding: 3vh;
    width: 32%;
    height: 13vh;
    text-align: center;
    color: #ffffff;
    font-weight: bold;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    text-indent: 0;
    align-items: center;
    box-shadow: -3px 3px 3px rgba(0, 0, 0, 0.5);
    @media(max-width: 900px){
      width: 100%;
    }
  }
  #plus{
    position: absolute;
    width: 3vw;
    top: -2.4vh;
    right: -1vh;
    border-radius: 50%;

    box-shadow: 0 0 0 0 rgba(0, 0, 0, 1);
    transform: scale(1);
    animation: pulse 0.7s infinite;
    @media(max-width: 900px){
      width: 5vh;
      right: 1vh;
    }
  }
  @keyframes pulse {
    0% {
      transform: scale(0.95);
    }
    70% {
      transform: scale(1);
    }

    100% {
      transform: scale(0.95);
    }
  }

  #plus:hover{
    cursor: pointer;
    transform: scale(1.1)
  }

  #objetivo{
    display: block;

    @media(min-width: 900px) {
      display: flex;
      flex-grow: 1;
    }
  }

  #indentacao{
    text-indent: 0;
  }

  #icon{
    width: 6vh;
    margin-right: 0.5vw;
  }
  #nomeObjetivo{
    transform: translateY(1vh)
  }

  #obj-title{
    font-size: 3vh;
    padding: 0 1vh;
    position: absolute;
    background: white;
    top: -3vh;
    margin-left: 2vh;
    color:#4BB6B2;
    font-weight: bold;
    
  }

  .caixas-mobile{
    @media(max-width: 900px){
    flex-direction: column;
    }
  }

  ${apple_polyfill};

  #box-button{
    display: flex;
    justify-content: flex-end;
    
  }

  .botao-saber-mais{
    margin-right: 2rem;
    background: #4BB6A2;
    border-radius: 10px;
    justify-content: center;
    align-items: center;
    height: 8vh;
    right: 1vw;
    /* position: absolute; */
    width: 20vw;
    padding: 2vh;
    justify-self: flex-end;
    @media(max-width: 900px){
        position: relative;
        width: 90%;
        margin-left: 2.5vh
    }
  }
  .botao-saber-mais:hover{
    cursor: pointer;
    transform: scale(1.1)
  }
  #psm-text{
    color: white;
    margin: 0;
    text-indent: 0;
  }
  #saber-mais{
    height: 100%;
    margin-right: 1rem;
  }

`
export const Modal = styled.div`
  position: absolute;
  background-color: #ffffff;
  padding: 3rem;
  width: 80%;
  height: auto;
  border: solid;
  border-color: #18bfc5;
  border-width: 2px;
  border-radius: 10px;
  box-shadow: -5px 5px 5px rgba(0, 0, 0, 0.3);
  bottom: 25vh;
  left: 10%;
  z-index: 100;
  @media(max-width: 900px){
    width: 90%;
    padding: 1rem;
    left: 0;
    bottom: 50%;
    transform: translateY(50%);
  }
  #button{
    #fechar{
      position: absolute;
      height: 5vh;
      top: -2vh;
      right: -2vh;
      cursor: pointer;
      border-radius: 10px;
      box-shadow: -3px 3px 3px rgba(0, 0, 0, 0.3);
      
    }
    #fechar:hover{
    transform: scale(1.1)
  }
  }
  
  
`

export const SaberMais = styled.div`
  position: absolute;
  background-color: #ffffff;
  padding: 2rem 1rem;
  width: 80%;
  height: auto;
  border: solid;
  border-color: #18bfc5;
  border-width: 2px;
  border-radius: 10px;
  box-shadow: -5px 5px 5px rgba(0, 0, 0, 0.3);
  bottom: 10vh;
  left: 10%;
  z-index: 100;
  @media(max-width: 900px){
    width: 100%;
    position: absolute;
    left:0;
    top: 10vh;
    overflow-y: auto
  }
  #button{
    #fechar{
      position: absolute;
      height: 5vh;
      top: -2vh;
      right: -2vh;
      cursor: pointer;
      border-radius: 10px;
      box-shadow: -3px 3px 3px rgba(0, 0, 0, 0.3);
      @media(max-width: 900px){
        top: 1vh;
        right: 2vw;
      }
    }
    #fechar:hover{
    transform: scale(1.1)
  }
  }
  .botao-saber-mais-modal{
    background: #4BB6A2;
    border-radius: 10px;
    justify-content: center;
    align-items: center;
    height: 8vh;
    left: 1vw;
    top: -5vh;
    padding: 2vh;
    position: absolute;
    box-shadow: -3px 3px 3px rgba(0, 0, 0, 0.3);
    @media(max-width: 900px){
        position: relative;
        width: 90%;

    }
  }
  #saber-mais-modal{
    height: 100%;
    margin-right: 1rem;
  }
  #psm-text-modal{
    color: white;
    margin: 0;
    text-indent: 0;
  }
  
`