import React, { useState, useRef, useEffect } from 'react'
import { Typography, Box } from '@material-ui/core'
import DefaultPage from '../../components/DefaultPage'
import { StyledContainer } from './styles'
import Reference from '../../components/Reference'

import imagem from '../../assets/imagesNova/p13.jpg'
import fechar from '../../assets/buttons/fechar.svg'

import pdf1 from '../../assets/documents/mapa.pdf'


export default function () {
  const [ref, setRef] = useState(0)
  const [effect, setEffect] = useState(false)

  const [modal, setModal] = useState(false)

  return (
    <>
      <DefaultPage header referencia={ref} effect={effect} footerColor='#18bfc5' replay='/p8' next='/p14' prev='/p12' title3='O que acontece nos casos em que a pessoa cadastrada se enquadra tanto na vulnerabilidade socioeconômica quanto no perfil demográfico?'>
        <StyledContainer>
          <Typography variant='body1'>
            <p>
            No mapa a seguir, apresentado pelo IBGE<Reference num="10" onClick={() => [setRef(10), setEffect(!effect)]} />, você pode observar a distribuição espacial das classes da tipologia no território brasileiro. Note as características regionais expressas no mapa e lembre-se de que o gestor deve compreender não somente as particularidades de seu município, mas também vislumbrar o desenho nacional.
            </p>
          </Typography>
          <Box className="linkbox">
            <a id='link' href={pdf1} target='_blank'><img src={imagem} alt='' className='imagem' /></a>
          </Box>    
        </StyledContainer>
      </DefaultPage>
    </>
  )
}
