import React, {useState} from 'react'
import { Typography, Box } from '@material-ui/core'
import Reference from '../../components/Reference'
import DefaultPage from '../../components/DefaultPage'

import { StyledContainer } from './styles'

import imagem from '../../assets/imagesNova/p15.png'

export default function () {
  const [effect, setEffect] = useState(false)
  const [ref, setRef] = useState(0)
  return (
    <DefaultPage effect={effect} referencia={ref} header footerColor='#18bfc5' replay='/p8' prev='/p14'  title3='O que acontece nos casos em que a pessoa cadastrada se enquadra tanto na vulnerabilidade socioeconômica quanto no perfil demográfico?'>
      <StyledContainer>
        <Typography variant='body1'>
          <Box className='d-flex align-items-center conteudo-superior'>
            <p id='texto-superior'>
            Tomando como base as novas referências de cálculo apresentadas e os valores praticados na Portaria nº 169, de 31 de janeiro de 2020, que define o valor per capita para efeito do cálculo do incentivo financeiro da capitação ponderada do Programa Previne Brasil, você pode observar que, em um município do tipo urbano, por exemplo, o valor per capita de usuário sem critério socioeconômico ou demográfico será de R$ 50,50 (cinquenta reais e cinquenta centavos) por pessoa cadastrada nas eSF e eAP. Já com a aplicação do critério socioeconômico ou demográfico (x 1,3), esse valor per capita será de R$ 65,65 (sessenta e cinco reais e sessenta e cinco centavos)<Reference num="11" onClick={() => [setRef(11), setEffect(!effect)]} />.
            </p>
            <img src={imagem} alt='' id='imagem' />
          </Box>
          <p id='text'>
          Os valores per capita dos municípios do tipo intermediário remoto ou rural remoto, por exemplo, têm a aplicação do ajuste de distância, ou seja, aplicação direta de Peso 2, considerando a classificação geográfica. Nesses casos, de acordo com a indicação de pesos já vista por você anteriormente, o valor per capita de usuário sem critério socioeconômico ou demográfico será de R$ 101,00 (cento e um reais).
          </p>
          <p>
          Se você considerar os municípios do tipo intermediário remoto ou rural remoto, e realizar a aplicação do critério socioeconômico ou demográfico (x 1,3), encontrará o valor per capita de R$ 131,30 (cento e trinta e um reais e trinta centavos).
          </p>
        </Typography>
      </StyledContainer>
    </DefaultPage>
  )
}
