import React, { useState, useRef, useEffect } from 'react'
import { Typography, Box } from '@material-ui/core'
import DefaultPage from '../../components/DefaultPage'
import { StyledContainer } from './styles'
import Reference from '../../components/Reference'

import imagem from '../../assets/imagesNova/p16.png'

export default function () {

  const [ref, setRef] = useState(0)
  const [effect, setEffect] = useState(false)

  return (
    <DefaultPage header referencia={ref} effect={effect} footerColor='#18bfc5' replay='/p8' title3='Como fica a financiamento do Núcleo de Apoio à Saúde da Família (Nasf-AB)?'>
      <StyledContainer>
        <Typography variant='body1'>
          <p>
          Na redação da Portaria nº 2.979/2019, não há indicações específicas sobre o Nasf-AB. Contudo, é possível observar que os recursos financeiros, que eram vinculados ao PAB Fixo, eSF e Gerentes, foram alocados da capitação ponderada, agora com foco no número de pessoas cadastradas em cada eSF ou eAP. Desse modo, no novo modelo de financiamento, as equipes Nasf-AB deixam de constar como requisito para repasse dos recursos<Reference num="7" onClick={() => [setRef(7), setEffect(!effect)]} />.
          </p>
          <p>
          Sobre as condições para a transferência do incentivo financeiro de custeio referente à capitação ponderada, fique atento, gestor, pois estão atreladas:
          </p>
        </Typography>
        <Box className='box-image'>
          <img src={imagem} alt='' />
        </Box>
      </StyledContainer>
    </DefaultPage>
  )
}
