import React, { useState, useRef, useEffect } from 'react'
import { Typography, Box } from '@material-ui/core'
import DefaultPage from '../../components/DefaultPage'
import { StyledContainer } from './styles'
import Reference from '../../components/Reference'

import imagem from '../../assets/imagesNova/p14.png'

export default function () {

  const [ref, setRef] = useState(0)
  const [effect, setEffect] = useState(false)

  return (
    <DefaultPage header referencia={ref} effect={effect} footerColor='#18bfc5' replay='/p8' next='/p18' title3='Em que situações há suspensão de transferência de incentivos financeiros no componente capitação ponderada?'>
      <StyledContainer>
        <Typography variant='body1'>
          <p>
          A suspensão está prevista nos casos de irregularidades, quando o incentivo financeiro da capitação ponderada será suspenso e essa suspensão será aplicada proporcionalmente de acordo com a irregularidade praticada por cada eSF e eAP. Observe os parâmetros a seguir:
          </p>
        </Typography>
        <Box className=''>
          <Typography variant='body1'>
            <p id='text-topo'>
            25% por eSF para os casos de ausência do profissional auxiliar ou técnico de enfermagem ou agente comunitário de saúde na equipe por um período superior a 60 dias;
            </p>
            <p id='text-meio'>
            50% por eSF e eAP para os casos de ausência do profissional médico ou enfermeiro na equipe por um período superior a 60 dias;
            </p>
            <p id='text-base'>
            100% por eSF e eAP para os casos:<br/>
            <br/>
            a. de ausência simultânea dos profissionais médico e enfermeiro na eSF por um período superior a 60 dias;
            <br/>b. de ausência total de eSF ou eAP; 
            <br/>c. em que haja verificação de dano ao erário.
            </p>
          </Typography>
        </Box>
      </StyledContainer>
    </DefaultPage>
  )
}
