import React from 'react'
import { Typography, Box } from '@material-ui/core'
import DefaultPage from '../../components/DefaultPage'
import { StyledContainer } from './styles'

import botao1 from '../../assets/imagesNova/p21B.png'
import botao2 from '../../assets/imagesNova/p21C.png'

export default function () {
  return (
    <DefaultPage replay='/p8' title3='E se, por exemplo, em seu município estiverem sendo realizados novos credenciamentos de cadastros? Como se dá o incentivo financeiro da capitação ponderada no caso de cadastro de eSF ou eAP no SCNES referente a um novo credenciamento? ' header footerColor='#18bfc5'>
      <StyledContainer>
        <Typography variant='body1'>
          <p className='mb-3'>
            Neste caso, conforme o Previne Brasil, o incentivo financeiro da capitação ponderada será transferido ao município ou Distrito Federal mensalmente até o 2º recálculo subsequente, considerando:
          </p>
        </Typography>
        <Typography variant='body1'>
          <Box className='d-flex justify-content-center'>
            <p id='box-text'>
              A quantidade potencial de pessoas cadastradas por equipe
              <img src={botao1} alt='' />
            </p>
            <p id='box-text'>
              O critério de classificação geográfica.
              <img src={botao2} alt='' />
            </p>
          </Box>
        </Typography>
        <Typography variant='body1'>
          <p className='mb-3'>Você deve ter percebido que uma das mudanças centrais propostas pelo novo padrão de financiamento é que agora se trata de um modelo misto. Além da capitação ponderada, o pagamento por desempenho, o incentivo para ações estratégicas e o provimento de profissionais também são formas de acesso aos recursos financeiros.</p>
        </Typography>
          <Typography variant='body1'>
            <p id='box-inferior'>
            Sobre o pagamento por desempenho, o gestor deve ficar atento ao fato de que o cálculo do incentivo financeiro do pagamento por desempenho será efetuado considerando os resultados de indicadores alcançados pelas equipes credenciadas e cadastradas no SCNES. Perceba que, com o Previne Brasil, o valor do pagamento por desempenho passa a ser calculado a partir do cumprimento de meta para cada indicador por equipe e condicionado ao tipo de equipe.
            </p>
          </Typography>
      </StyledContainer>
    </DefaultPage>
  )
}
