import React from 'react'
import { Typography, Box } from '@material-ui/core'
import DefaultPage from '../../components/DefaultPage'
import Attention from '../../components/Attention'

import { StyledContainer } from './styles'

import objetivoIcon from '../../assets/buttons/objetivos.svg'

export default function () {
  return (
    <DefaultPage prev='/' next='/p3' title2='Apresentação' header footerColor='#18bfc5'>
      <StyledContainer>
        <Box className="texts">
          <Typography variant='body1' className='margin'>
            <p id='text'>Olá, aluna(o)!</p>
            <p id='text'>
              Neste momento, vamos discutir o novo modelo de financiamento da Atenção Primária à Saúde (APS) no âmbito do Sistema Único de Saúde (SUS). É fundamental que você compreenda que o financiamento, tanto na arrecadação quanto no repasse, dá condições objetivas para a efetivação dos princípios e diretrizes do SUS.
            </p>
            <p id='text'> Bons estudos!</p>
          </Typography>
        </Box>
        <Box id='objetivo'>
          <Attention type='objetivo'>
            <Typography variant='body1' className='texto-inferior'>
              Ao concluir o estudo, você será capaz de entender as principais mudanças no modelo de financiamento da APS.
            </Typography>
          </Attention>
        </Box>
      </StyledContainer>
    </DefaultPage>
  )
}
