import styled from 'styled-components'
import { AppBar, Box, createMuiTheme } from '@material-ui/core'

export const StyledContainer = styled(Box)`
  position: relative;
  height: 100%;
  display: Flex;
  flex-direction: column;
  
  #texto-superior{
    border: solid 2px #4BB6B2;
    padding: 1vh;
    border-radius: 10px;
    text-indent: 0;
  }
  #imagem{
    height: 24vh; 
    margin-right: 1rem;
  }

  .mobile{
    @media(max-width: 900px){
      flex-direction: column
    }
  }
`

export const ModalButton = styled.button`
  display: flex;
  align-items: center;
  justify-content: center;
  background: ${props => props.theme.palette.primary.dark};
  border-radius: 1rem;
  padding: .5rem .25rem;
  height: fit-content;
  min-height: 3.5rem;
  border: none;
  transition: 0.2s ease;
  @media(min-width: 900px){
    width: 30%;
    margin: 0 0 0 auto;
    position: relative;
    top: -1.7rem;
  }
  @media(min-width: 1200px){
    top: 0;
    min-height: 4rem
  }
  @media(min-width: 1400px){
    min-height: 4.5rem
  }
  @media(min-width: 1900px){
    min-height: 6rem
  }
  

  :hover {
    background: #4BB6A2;
  }

  p {
    color: white;
    font-weight: bolder;
  }
  
  img {
    width: 100%;
    max-width: 2.5rem;
  }
`

export const Modal = styled.div`
  position: absolute;
  background-color: #ffffff;
  padding: 3rem;
  width: 80%;
  height: auto;
  border: solid;
  border-color: #18bfc5;
  border-width: 2px;
  border-radius: 10px;
  box-shadow: -5px 5px 5px rgba(0, 0, 0, 0.3);
  bottom: 30vh;
  left: 10%;
  z-index: 100;
  @media(max-width: 900px){
    width: 90%;
    padding: 1rem;
    left: 0;
    position: relative;
  }
  #button{
    #fechar{
      position: absolute;
      height: 5vh;
      top: -2vh;
      right: -2vh;
      cursor: pointer;
      border-radius: 10px;
      box-shadow: -3px 3px 3px rgba(0, 0, 0, 0.3);
      
    }
    #fechar:hover{
    transform: scale(1.1)
  }
  }
  .text-modal{
    text-indent: 0;
  }
  .botao-saber-mais-modal{
    background: #4BB6A2;
    border-radius: 10px;
    justify-content: center;
    align-items: center;
    width: 20rem;
    height: 8vh;
    left: 1vw;
    top: -5vh;
    padding: 2vh;
    position: absolute;
    box-shadow: -3px 3px 3px rgba(0, 0, 0, 0.3);

    @media(max-width: 900px){
        position: relative;
        width: 90%;
    }
  }
  #saber-mais-modal{
    height: 100%;
    margin-right: 1rem;
  }
  #psm-text-modal{
    color: white;
    margin: 0;
    text-indent: 0;
  }
  
`
