import styled from 'styled-components'
import { AppBar, Box, createMuiTheme } from '@material-ui/core'

export const StyledContainer = styled(Box)`
  position: relative;
  height: 100%;

  img{
    max-width: 100%;
  }

  .box{
    position: relative;
    margin: 1rem 0;
  }

  .bg-desktop{
    width: 60vw;
    margin: 0 auto;
    @media(max-width: 900px){
      display: none;
    }
  }

  .bg-mobile{
    width: 60%;
    margin: 0 auto;
    @media(min-width: 900px){
      display: none;
    }
  }

  .botao{
    position: absolute;
    top: 9.5%;
    width: 13%;
  }

  .botao:hover{
    cursor: pointer;
    transform: scale(1.1)
  }
  
  #botao1{
    left: 13.18%;
    @media(max-width: 900px){
      width: 50%;
      left: 50%;
      transform: translateX(-50%);
      top: 1.7%;
    }
  }
  #botao2{
    left: 28.4%;
    @media(max-width: 900px){
      width: 50%;
      left: 50%;
      transform: translateX(-50%);
      top: 21.5%;
    }
  }
  #botao3{
    left: 43.5%;
    @media(max-width: 900px){
      width: 50%;
      left: 50%;
      transform: translateX(-50%);
      top: 41.3%;
    }
  }
  #botao4{
    left: 58.7%;
    @media(max-width: 900px){
      @media(max-width: 900px){
        width: 50%;
        left: 50%;
        transform: translateX(-50%);
        top: 61.2%;
      }
    }
  }
  #botao5{
    left: 73.8%;
    @media(max-width: 900px){
      width: 50%;
        left: 50%;
        transform: translateX(-50%);
        top: 81.0%;
    }
  }

  .botao-saber-mais{
    background: #4BB6A2;
    border-radius: 10px;
    justify-content: center;
    align-items: center;
    height: 8vh;
    right: 1vw;
    bottom: 8vh;
    padding: 2vh;
    position: absolute;
    
    @media(max-width: 900px){
        position: relative;
        width: 90%;
        bottom: 0;
        margin-left: 2.5vh
    }
  }
  #saber-mais{
    height: 100%;
    margin-right: 1rem;
  }
  #psm-text{
    color: white;
    margin: 0;
    text-indent: 0;
  }
  .botao-saber-mais:hover{
    cursor: pointer;
    transform: scale(1.1)
  }
  
`
export const FundoEscuro = styled.div`
width: 100%;
height: 100%;
background: rgba(0, 0, 0, 0.7);
position: absolute;
z-index: 99;


`

export const Modal = styled.div`
  position: absolute;
  background-color: #ffffff;
  padding: ${props => props.texto === 5 ? '1.5rem' : '2rem'};
  width: 80%;
  height: auto;
  border: solid;
  border-color: #18bfc5;
  border-width: 2px;
  border-radius: 10px;
  box-shadow: -5px 5px 5px rgba(0, 0, 0, 0.3);
  top: ${props => props.texto === 5 ? '15vh' : '22vh'};
  left: 10%;
  z-index: 100;
  @media(max-width: 900px){
    width: 90%;
    height: auto;
    padding: 1rem;
    left: 0;
    position: ${props => props.texto === 5 ? 'relative' : 'absolute'}
  }
  #button{
    #fechar{
      position: absolute;
      height: 5vh;
      top: -2vh;
      right: -2vh;
      cursor: pointer;
      border-radius: 10px;
      box-shadow: -3px 3px 3px rgba(0, 0, 0, 0.3);
      
    }
    #fechar:hover{
    transform: scale(1.1)
  }
  }
  #text-modal{
    text-indent: 0;
  }
  .botao-saber-mais-modal{
    background: #4BB6A2;
    border-radius: 10px;
    justify-content: center;
    align-items: center;
    height: 8vh;
    left: 1vw;
    top: -5vh;
    padding: 2vh;
    position: absolute;
    box-shadow: -3px 3px 3px rgba(0, 0, 0, 0.3);
    visibility: ${props => props.texto === 5 ? 'visible' : 'collapse'};
    @media(max-width: 900px){
        position: relative;
        width: 90%;
        
    }
  }
  #saber-mais-modal{
    height: 100%;
    margin-right: 1rem;
  }
  #psm-text-modal{
    color: white;
    margin: 0;
    text-indent: 0;
    z-index: 100;
  }
  
`
