import React, { useState, useRef, useEffect } from 'react'
import { Typography, Box } from '@material-ui/core'
import DefaultPage from '../../components/DefaultPage'
import { StyledContainer, Modal, FundoEscuro } from './styles'
import Reference from '../../components/Reference'

import fechar from '../../assets/buttons/fechar.svg'

import imagem1 from '../../assets/imagesNova/p22A.png'
import imagem2 from '../../assets/imagesNova/p22B.png'
import imagem3 from '../../assets/imagesNova/p22C.png'
import imagem4 from '../../assets/imagesNova/p22D.png'
import imagem5 from '../../assets/imagesNova/p22E.png'
import imagem6 from '../../assets/imagesNova/p22F.png'
import imagem7 from '../../assets/imagesNova/p22G.png'

import botao1 from '../../assets/imagesNova/p21B.png'
import botao2 from '../../assets/imagesNova/p21C.png'
import botao3 from '../../assets/imagesNova/p21D.png'
import botao4 from '../../assets/imagesNova/p21E.png'
import botao5 from '../../assets/imagesNova/p21F.png'
import botao6 from '../../assets/imagesNova/p22H.png'
import botao7 from '../../assets/imagesNova/p22I.png'

export default function () {
  const texto1 = 'Proporção de gestantes com pelo menos 6 (seis) consultas pré-natal realizadas, sendo a 1ª até a 20ª semana de gestação'
  const texto2 = 'Proporção de gestantes com realização de exames para sífilis e HIV'
  const texto3 = 'Cobertura vacinal de poliomielite inativada e de pentavalente.'
  const texto4 = 'Percentual de pessoas hipertensas com pressão arterial aferida em cada semestre'
  const texto5 = 'Proporção de gestantes com atendimento odontológico realizado'
  const texto6 = 'Cobertura de exame citopatológico'
  const texto7 = 'Percentual de diabéticos com solicitação de hemoglobina glicada'

  const [exibirTexto, setTexto] = useState(texto1)
  const [escuro, setEscuro] = useState(false)

  const visible = {
    visibility: 'visible'
  }
  const noVisible = {
    visibility: 'collapse'
  }
  const [modal, setModal] = useState(noVisible)
  const [position, setPosition] = useState('0vh')

  const [ref, setRef] = useState(0)
  const [effect, setEffect] = useState(false)

  return (
    <>
      {escuro === true ? <FundoEscuro /> : <></>}
      <DefaultPage header referencia={ref} effect={effect} footerColor='#18bfc5' replay='/p8' prev='/p21' next='/p23' title3='Quais categorias de indicadores deverão ser observadas para o pagamento por desempenho?'>
        <StyledContainer>
          <Typography variant='body1'>
            <p>
            Como o exposto na Portaria nº 3.222/2019, o conjunto de indicadores do pagamento por desempenho a ser observado na atuação das eSF e eAP, para o ano de 2020, abrange as ações estratégicas de Saúde da Mulher, Pré-Natal, Saúde da Criança e Doenças Crônicas (Hipertensão Arterial e Diabetes Mellitus)<Reference num="12" onClick={() => [setRef(12), setEffect(!effect)]} />. <strong>Clique</strong> nos números abaixo e conheça a especificidade dos indicadores referentes a 2020.
            </p>
          </Typography>
          <Box className='d-flex cards-mobile' >
            <Box className='position-relative ml-5 cards'>
              <img id='img' src={imagem1} alt='' />
              <img className='botoes' src={botao1} alt='' onClick={() => [setTexto(texto1), setModal(visible), setPosition('0vh'), setEscuro(true)]} />
            </Box>
            <Box className= 'position-relative ml-5 mr-5 cards'>
              <img id='img' src={imagem2} alt='' />
              <img  className='botoes' src={botao2} alt='' onClick={() => [setTexto(texto2), setModal(visible), setPosition('-35vh'), setEscuro(true)]} />
            </Box>
            <Box className= 'position-relative mr-5 cards'>
              <img id='img' src={imagem3} alt=''/>
              <img  className='botoes'  src={botao3} alt='' onClick={() => [setTexto(texto3), setModal(visible), setPosition('-70vh'), setEscuro(true)]} />
            </Box>
            <Box className='position-relative mr-5 cards'>
              <img id='img' src={imagem4} alt='' />
              <img  className='botoes' src={botao4} alt='' onClick={() => [setTexto(texto4), setModal(visible), setPosition('-105vh'), setEscuro(true)]} />
            </Box>
          </Box>
          <Box className='d-flex justify-content-center mt-4 cards-mobile' >
            <Box className='inferior position-relative cards'>
              <img id='img' src={imagem5} alt='' />
              <img  className='botoes' src={botao5} alt='' onClick={() => [setTexto(texto5), setModal(visible), setPosition('-140vh'), setEscuro(true)]} />
            </Box>
            <Box className='inferior mr-5 ml-5 position-relative cards'>
              <img id='img' src={imagem6} alt='' />
              <img  className='botoes' src={botao6} alt='' onClick={() => [setTexto(texto6), setModal(visible), setPosition('-175vh'), setEscuro(true)]} />
            </Box>
            <Box className='inferior position-relative cards'>
              <img id='img' src={imagem7} alt='' />
              <img  className='botoes' src={botao7} alt='' onClick={() => [setTexto(texto7), setModal(visible), setPosition('-210vh'), setEscuro(true)]} />
            </Box>
          </Box>
          <Modal style={modal} positionMobile={position}>
            <Box className='content'>
              <Typography variant='body1'>
                {exibirTexto}
              </Typography>
            </Box>
            <div id='button'>
              <img src={fechar} alt='' id='fechar' onClick={() => [setModal(noVisible), setEscuro(false)]} />
            </div>
          </Modal>
        </StyledContainer>
      </DefaultPage>
    </>
  )
}
