import styled from 'styled-components'
import { AppBar, Box, createMuiTheme } from '@material-ui/core'

export const StyledContainer = styled(Box)`
  position: relative;
  height: 100%;
  #img{
    width: 100%;
  }
  .inferior{
    width: 19%;
    @media(max-width: 900px){
      width: 100%;
    }
  }

  .botoes{
    position: absolute;
    left: -5%;
    bottom: 0;
    width: 35%;
    @media(max-width: 900px){
      width: 20%;
      left: 0;
    }
  }
  .botoes:hover{
    cursor: pointer;
    transform: scale(1.1)
  }
  
  .cards-mobile{
    @media(max-width: 900px){
      flex-direction: column;
      margin: 0 !important;
    }
  }

  .cards{
    @media(max-width: 900px){
      margin: 0 !important;
    }
  }

`
export const Modal = styled.div`
  position: absolute;
  background-color: white;
  width: 80%;
  height: 50vh;
  border: solid;
  border-color: #18bfc5;
  border-width: 2px;
  border-radius: 10px;
  box-shadow: -5px 5px 5px rgba(0, 0, 0, 0.3);
  left: 10%;
  z-index: 100;
  padding: 1rem;
  height: fit-content;
  display: flex;
  align-content: center;
  justify-content: center;
  top: 50%;
  transform: translateY(-50%);

  .content {
    @media(max-width: 900px){
      height: 10rem;
      overflow: auto;
    } 
  }

  #button{
    #fechar{
      position: absolute;
      height: 5vh;
      top: -2vh;
      right: -2vh;
      cursor: pointer;
      border-radius: 10px;
      box-shadow: -3px 3px 3px rgba(0, 0, 0, 0.3);
      
    }
    #fechar:hover{
    transform: scale(1.1)
  }
  }
  
`

export const FundoEscuro = styled.div`
width: 100%;
height: 100%;
background: rgba(0, 0, 0, 0.7);
position: absolute;
z-index: 99;


`