import React, {useState} from 'react'
import { Typography, Box } from '@material-ui/core'
import Reference from '../../components/Reference'
import DefaultPage from '../../components/DefaultPage'

import { StyledContainer } from './styles'

import imagem from '../../assets/imagesNova/p7.png'

export default function () {
  const [effect, setEffect] = useState(false)
  const [ref, setRef] = useState(0)
  return (
    <DefaultPage effect={effect} referencia={ref} header footerColor='#18bfc5' prev='/p22' replay='/p8' title3='Quais categorias de indicadores deverão ser observadas para o pagamento por desempenho?'>
      <StyledContainer>
        <Typography variant='body1'>
          <p>
          Destacamos ainda que os indicadores de pagamento para o ano de 2021 abrangem as ações estratégicas de Saúde da Mulher, Pré-Natal, Saúde da Criança, Infecções Sexualmente Transmissíveis (IST), Tuberculose e Saúde Bucal.
          </p>
          <p>
          Já os indicadores de pagamento em 2022 abrangem os Indicadores Globais, as Infecções Sexualmente Transmissíveis (IST), a Saúde Mental e as Doenças crônicas. O gestor deve ficar atento ao fato de que os resultados dos indicadores alcançados por equipes credenciadas e cadastradas no SCNES serão aglutinados em um indicador sintético final, que definirá o incentivo financeiro do pagamento por desempenho por município e pelo Distrito Federal. 
          </p>
          <Box className='d-flex justify-content-center align-items-center' id='box-text'>
            <img src={imagem} alt='' id='imagem' />
            <p id='text'>
            E com que frequência será realizada a apuração dos indicadores? 
            </p>
          </Box>
          <p>
          Será executada quadrimestralmente (janeiro-abril, maio-agosto, setembro-dezembro). Importante destacar que o pagamento mensal por desempenho de cada quadrimestre estará vinculado ao resultado obtido pelo município e pelo Distrito Federal no quadrimestre anterior.
          </p>
        </Typography>
      </StyledContainer>
    </DefaultPage>
  )
}
