import React, { useState } from 'react'
import { Typography, Box } from '@material-ui/core'
import DefaultPage from '../../components/DefaultPage'
import { StyledContainer } from './styles'
import CaixaTabs from '../../components/CaixaTabs'


import botao1 from '../../assets/imagesNova/p21B.png'
import botao2 from '../../assets/imagesNova/p21C.png'
import botao3 from '../../assets/imagesNova/p21D.png'


export default function () {
  const texto1 = <p>Programa Saúde na Hora; Programas de apoio à informatização da APS e Incentivo aos municípios com residência médica e multiprofissional.</p> 
  const texto2 = <p>Equipe de Saúde Bucal; Centro de Especialidades Odontológicas; Laboratório Regional de Prótese Dentária e Unidade Odontológica Móvel.</p>
  const texto3 = <p>Programa Saúde na Escola; Programa Academia da Saúde.</p>
  const texto4 = <p>Equipe de Consultório na Rua; Unidade Básica de Saúde Fluvial; Equipe de Saúde da Família Ribeirinha; Microscopista; Equipe de Atenção Básica Prisional e Ações de Atenção Integral à Saúde dos Adolescentes em Situação de Privação de Liberdade.</p>

  const [exibirTexto, setTexto] = useState(texto1)
  const [ativado, setAtivado] = useState(1)

  return (
    <DefaultPage replay='/p8' next='/p26' title3='Em que situações há suspensão de transferência de incentivos financeiros no componente pagamento por desempenho?' header footerColor='#18bfc5'>
      <StyledContainer>
        <Typography variant='body1'>
          <p>No caso de irregularidade em que haja verificação de ocorrência de fraude ou informação irregular de cumprimento de metas e indicadores, haverá suspensão de 100% (cem por cento) da transferência de pagamento por desempenho por equipe. Além da capitação ponderada e do pagamento por desempenho, há ainda o incentivo para ações estratégicas e para o provimento de profissionais como formas de acesso aos recursos financeiros.</p>
          <p className='mb-3'>Agora nos ateremos ao incentivo para ações estratégicas. O cálculo para a definição dos recursos financeiros para incentivo para ações estratégicas deverá considerar:</p>

        </Typography>
        <Typography variant='body1'>
          <Box className='d-flex justify-content-center quadros'>
            <p id='box-text'>
              As especificidades e prioridades em saúde
              <img src={botao1} alt='' />
            </p>
            <p id='box-text'>
              Os aspectos estruturais das equipes
              <img src={botao2} alt='' />
            </p>
            <p id='box-text'>
              Os aspectos estruturais das equipes
              <img src={botao3} alt='' />
            </p>
          </Box>
        </Typography>
        <Typography variant='body1'>
          <p className='mb-3 mt-2'>A seguir, você pode observar as ações, programas e estratégias contempladas no que se refere ao incentivo financeiro:</p>
        </Typography>
        <CaixaTabs Content={[
          { header: 'Programas Prioritários', content: ['Programa Saúde na Hora; Programas de apoio à informatização da APS e Incentivo aos municípios com residência médica e multiprofissional.'] },
          { header: 'Saúde Bucal', content: ['Equipe de Saúde Bucal; Centro de Especialidades Odontológicas; Laboratório Regional de Prótese Dentária e Unidade Odontológica Móvel.'] },
          { header: 'Promoção da Saúde', content: ['Programa Saúde na Escola; Programa Academia da Saúde.'] },
          { header: 'Especificidades', content: ['Equipe de Consultório na Rua; Unidade Básica de Saúde Fluvial; Equipe de Saúde da Família Ribeirinha; Microscopista; Equipe de Atenção Básica Prisional e Ações de Atenção Integral à Saúde dos Adolescentes em Situação de Privação de Liberdade.'] }
        ]} />
      </StyledContainer>
    </DefaultPage>
  )
}
