import styled from 'styled-components'
import { AppBar, Box, createMuiTheme } from '@material-ui/core'

export const StyledContainer = styled(Box)`
  position: relative;
  height: 100%;
  margin-top: 0vh;
  .quadros{
    @media(max-width:900px){
      flex-direction: column;
      align-items: center;
    }
  }

  img{
    position: absolute;
    width: 3vw;
    left: -1vh;
    top: -1vh;
    @media(max-width: 900px){
      width: 10vw;
      left: -3vh;
    }
  }

  #box-text{
    position: relative;
    padding: 0.5rem 2.2rem;
    width: 65%;
    text-align: center;
    border-radius: 10px;
    border: solid 2px #4BB6B2;
    margin: 0 0.5rem;
    margin-bottom: 0.5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    text-indent: 0;
    @media(max-width:900px){
      padding: 1rem;
    }
    @media(min-width:2000px){
      padding: 2rem;
    }
    @media(min-width:2500px){
      padding: 3rem;
    }
  }
  .text-aba{
    display: flex;
    color: #4BB6B2;
    font-weight: bold;
    text-indent: 0;
    border: 2px solid #4BB6B2;
    border-bottom: 5px solid white;
    padding: 2vh;
    border-radius: 10px 10px 0 0;
    margin-right: 1rem !important;
    position: relative;
    z-index: 9;
    height: 10vh;
  }
  .text-aba-desativado{
    display: flex;
    color: white;
    background: #4BB6B2;
    font-weight: bold;
    text-indent: 0;
    border: 2px solid #4BB6B2;
    border-bottom: 5px solid #4BB6B2;
    padding: 2vh;
    border-radius: 10px 10px 0 0;
    margin-right: 1rem !important;
    position: relative;
    z-index: 9;
    height: 10vh;
  }

  #text-conteudo{
    display: flex;
    text-indent: 0;
    border: 2px solid #4BB6B2;
    padding: 2vh;
    border-radius: 0 10px 10px 10px;
    transform: translateY(-0.4vh);
    position: relative;
    z-index: 1;
    margin: 0;
    height: 7.8vw;
    @media(min-height: 700px){
      height: 8.8vw
    }
    @media(min-height: 1000px){
      height: 13vw
    }
  }

  .desktop{
    @media(max-width: 900px){
      position: absolute;
      visibility: collapse;
    }
  }
  .mobile{
    @media(min-width: 900px){
      position: absolute !important;
      visibility: collapse !important;
    }
  }
  .text-aba-mobile{
    display: flex;
    color: white;
    background: #4BB6B2;
    font-weight: bold;
    text-indent: 0;
    border: 2px solid #4BB6B2;
    border-bottom: 5px solid #4BB6B2;
    padding: 2vh;
    border-radius: 10px 10px 0 0;
    margin-right: 1rem !important;
    position: relative;
    z-index: 9;
    width: 82.6vw;
  }


  #text-conteudo-mobile{
    display: flex;
    text-indent: 0;
    border: 2px solid #4BB6B2;
    padding: 2vh;
    border-radius: 0 0px 10px 10px;
    transform: translateY(-0.4vh);
    position: relative;
    z-index: 1;
    margin: 0;
    height: auto;
  }
`
