import React, { useState } from 'react'
import { Typography, Box } from '@material-ui/core'
import DefaultPage from '../../components/DefaultPage'
import { StyledContainer } from './styles'
import Reference from '../../components/Reference'
import imagem1 from '../../assets/imagesNova/p26A.png'
import imagem2 from '../../assets/imagesNova/p26B.png'
import imagem3 from '../../assets/imagesNova/p26C.png'
import imagem4 from '../../assets/imagesNova/p26D.png'
import imagem5 from '../../assets/imagesNova/p26E.png'

export default function () {
  const [ref, setRef] = useState(0)
  const [effect, setEffect] = useState(false)
  return (
    <DefaultPage effect={effect} referencia={ref} replay='/p8' next='/p27' prev='/p25' title3='Em que situações há suspensão de transferência de incentivos financeiros no componente pagamento por desempenho?' header footerColor='#18bfc5'>
      <StyledContainer>
        <Typography variant='body1'>
          <p>Na discussão acerca dos incentivos para ações estratégicas, cabe destaque para o Programa Saúde na Hora, que foi lançado pela Secretaria de Atenção Primária à Saúde do Ministério da Saúde em maio de 2019 e passou por atualizações com a publicação da Portaria nº 397/GM/MS, de 16 de março de 2020<Reference num="14" onClick={() => [setRef(14), setEffect(!effect)]} />. </p>
          <p>Este programa viabiliza o custeio aos municípios e Distrito Federal para implantação do horário estendido de funcionamento das USF e Unidades Básicas de Saúde (UBS) em todo o território brasileiro. A adesão se faz através de Termo de Compromisso  firmado entre o Ministério da Saúde e o município ou Distrito Federal. Os objetivos expressos no Programa Saúde na Hora são os seguintes:</p>
        </Typography>
        <Box className='d-flex box-cards'>
          <Box className='w-25  mr-3 p-2 cards'>            
            <img src={imagem1} alt='' />
            <Typography className='h-100 d-flex mt-1' variant='body1'>
              <p>Ampliar o horário de funcionamento das USF e UBS, possibilitando maior acesso dos usuários aos serviços.</p>
            </Typography>
          </Box>
          <Box className='w-25 mr-3 p-2 cards'>            
            <img src={imagem2} alt='' />
            <Typography className='h-100 d-flex mt-1' variant='body1'>
              <p>Ampliar a cobertura da Estratégia Saúde da Família.</p>
            </Typography>
          </Box>
          <Box className='w-25 mr-3 p-2 cards'>            
            <img src={imagem3} alt='' />
            <Typography className='h-100 d-flex mt-1' variant='body1'>
              <p>Ampliar o acesso às ações e serviços considerados essenciais na APS.</p>
            </Typography>
          </Box>
          <Box className='w-25 mr-3 p-2 cards'>            
            <img src={imagem4} alt='' />
            <Typography className='h-100 d-flex mt-1' variant='body1'>
              <p>Ampliar o número de usuários nas ações e nos serviços promovidos nas USF e UBS.</p>
            </Typography>
          </Box>
          <Box className='w-25 mr-3 p-2 cards'>            
            <img src={imagem5} alt='' />
            <Typography className='h-100 d-flex mt-1' variant='body1'>
              <p>Reduzir o volume de atendimentos de usuários com condições de saúde de baixo risco em UPAs e emergências hospitalares.</p>
            </Typography>
          </Box>
        </Box>
      </StyledContainer>
    </DefaultPage>
  )
}
