import React, { useState } from 'react'
import { Typography, Box } from '@material-ui/core'
import DefaultPage from '../../components/DefaultPage'
import { StyledContainer, Modal, SAber } from './styles'

import imagem1 from '../../assets/imagesNova/p27.png'

import sabermais from '../../assets/buttons/sabermais.png'
import fechar from '../../assets/buttons/fechar.svg'

import pdf1 from '../../assets/documents/PassoaPasso_ProgramaSaudeNaHora.pdf'
import pdf2 from '../../assets/documents/instrutivoProgramaSaudeNaHora.pdf'

export default function () {

  const visible = {
    display: 'block'
  }
  const noVisible = {
    display: 'none'
  }
  const [modal, setModal] = useState(noVisible)

  return (
    <DefaultPage replay='/p8' next='/p28' prev='/p26' title3='Em que situações há suspensão de transferência de incentivos financeiros no componente pagamento por desempenho?' header footerColor='#18bfc5'>
      <StyledContainer>
        <Typography variant='body1'>
          <p>O Programa conta com quatro tipos de formato de funcionamento em horário estendido:</p>
        </Typography>
        <Box  className='d-flex justify-content-center conteudo'>
          <Box className='w-25 box-text-mobile'>
            <Typography variant='body1'>
              <p id='texto-box'>USF com 60 semanais horas com Saúde Bucal</p>
            </Typography>
            <Typography variant='body1'>
              <p id='texto-box'>USF com 75 horas semanais com Saúde Bucal</p>
            </Typography>
          </Box>
          <img src={imagem1} alt='' id='imagem' />
          <Box className='w-25 box-text-mobile'>
            <Typography variant='body1'>
              <p id='texto-box'>USF com 60 horas semanais</p>
            </Typography>
            <Typography variant='body1'>
              <p id='texto-box'>USF ou UBS com 60 horas semanais simplificado</p>
            </Typography>
          </Box>
        </Box>
        <Typography variant='body1'>
          <p>Com a ampliação das ações e do horário de atendimento, há a possibilidade de dobrar o financiamento das equipes. É importante que você perceba que, conforme o Programa Saúde na Hora, as UBS e USF são também consideradas potenciais espaços de educação, formação de recursos humanos, pesquisa, ensino em serviço, inovação e avaliação tecnológica para a Rede de Atenção à Saúde (RAS).</p>
        </Typography>
        <Typography className='d-flex botao-saber-mais' variant='body1' onClick={() => [setModal(visible)]}>
          <img src={sabermais} alt='para saber mais' id='saber-mais'/>
          <p id='psm-text'>
          PARA SABER MAIS
          </p>
        </Typography>
        <Modal style={modal}>
          <Typography className='d-flex botao-saber-mais-modal' variant='body1'>
            <img src={sabermais} alt='para saber mais' id='saber-mais-modal'/>
            <p id='psm-text-modal'>
            PARA SABER MAIS
            </p>
          </Typography>
          <Typography variant='body1' id='modal'>
            <p><strong>Clique</strong> nos documentos abaixo e conheça ainda mais sobre o Programa Saúde na Hora:</p>
            <ul>
              <li><a href='https://aps.saude.gov.br/ape/saudehora/modalidades' target='_blank'>Formatos de funcionamento de USF ou UBS. </a></li>
              <li><a href={pdf1} target='_blank'>Passo a Passo: Manual de Uso do Sistema.</a></li>
              <li><a href='http://www.in.gov.br/en/web/dou/-/portaria-n-397-de-16-de-marco-de-2020-*-248809238' target='_blank'>Programa Saúde na Hora, através da Portaria nº 397/GM/MS/2020.</a></li>
              <li><a href={pdf2} target='_blank'>Instrutivo de adesão ao Programa Saúde na Hora.</a></li>
              <li><a href='https://www.youtube.com/watch?v=gpkg48nks3E' target='_blank'>O que é o Saúde na Hora?</a></li>
              <li><a href='https://www.youtube.com/watch?v=F74LZbAWiWQ&list=PLaS1ddLFkyk9c44f2F6fa7QVd_O1YesX9&index=2' target='_blank'>Quem pode aderir ao Programa? </a></li>
              <li><a href='https://www.youtube.com/watch?v=jGKnHRO_ik0&list=PLaS1ddLFkyk9c44f2F6fa7QVd_O1YesX9&index=3' target='_blank'>Como aderir ao Programa?</a></li>
              <li><a href='https://www.youtube.com/watch?v=GAs6iI9r_ag&list=PLaS1ddLFkyk9c44f2F6fa7QVd_O1YesX9&index=6' target='_blank'>Não tenho três eSF na unidade. Posso aderir ao Programa?</a></li>
            </ul>
          </Typography>
          <div id='button'>
            <img src={fechar} alt='' id='fechar' onClick={() => setModal(noVisible)} />
          </div>
        </Modal>
      </StyledContainer>
    </DefaultPage>
  )
}
