import styled from 'styled-components'
import { AppBar, Box, createMuiTheme } from '@material-ui/core'


export const StyledContainer = styled(Box)`
  position: relative;
  height: 100%;
  margin-top: 0vh;

  #texto-box{
    background: #3B9DAA;
    padding: 1rem 2rem;
    color: #ffffff;
    border-radius: 10px;
    box-shadow: -3px 3px 3px rgba(0, 0, 0, 0.3);
    text-indent: 0; 
  }
  .box-text-mobile{
    @media(max-width: 900px){
    width: 100% !important;
    }
  }
  .conteudo{
    @media(max-width: 900px){
    flex-direction: column
    }
  }

  #imagem{
    width: 20%;
    margin: 0 5rem;
    object-fit: contain;
    @media(max-width: 900px){
      width: 100%;
      margin: 0;
    }
  }
  .botao-saber-mais{
    background: #4BB6A2;
    border-radius: 10px;
    justify-content: center;
    align-items: center;
    height: 8vh;
    right: 1vw;
    position: absolute;
    bottom: 1vh;
    padding: 2vh;
    @media(max-width: 900px){
        position: relative;
        width: 90%;
        margin-left: 2.5vh
    }
  }
  .botao-saber-mais:hover{
    cursor: pointer;
    transform: scale(1.1)
  }
  #psm-text{
    color: white;
    margin: 0;
    text-indent: 0;
  }
  #saber-mais{
    height: 100%;
    margin-right: 1rem;
  }
`

export const Modal = styled.div`
  position: absolute;
  background-color: #ffffff;
  padding: 2rem 1rem;
  width: 80%;
  height: auto;
  border: solid;
  border-color: #18bfc5;
  border-width: 2px;
  border-radius: 10px;
  box-shadow: -5px 5px 5px rgba(0, 0, 0, 0.3);
  bottom: 10vh;
  left: 10%;
  z-index: 100;
  @media(max-width: 900px){
    width: 90%;
    left: 0;
    position: relative;
  }
  #button{
    #fechar{
      position: absolute;
      height: 5vh;
      top: -2vh;
      right: -2vh;
      cursor: pointer;
      border-radius: 10px;
      box-shadow: -3px 3px 3px rgba(0, 0, 0, 0.3);
      
    }
    #fechar:hover{
    transform: scale(1.1)
  }
  }
  .botao-saber-mais-modal{
    background: #4BB6A2;
    border-radius: 10px;
    justify-content: center;
    align-items: center;
    height: 8vh;
    left: 1vw;
    top: -5vh;
    padding: 2vh;
    position: absolute;
    box-shadow: -3px 3px 3px rgba(0, 0, 0, 0.3);
    @media(max-width: 900px){
        position: relative;
        width: 90%;

    }
  }
  #saber-mais-modal{
    height: 100%;
    margin-right: 1rem;
  }
  #psm-text-modal{
    color: white;
    margin: 0;
    text-indent: 0;
  }
  
`


