import React, { useState, useRef, useEffect } from 'react'
import { Typography, Box } from '@material-ui/core'
import DefaultPage from '../../components/DefaultPage'
import { StyledContainer } from './styles'
import Reference from '../../components/Reference'

import imagem from '../../assets/imagesNova/p5.png'

export default function () {

  const [ref, setRef] = useState(0)
  const [effect, setEffect] = useState(false)

  return (
    <DefaultPage title3='Em que situações há suspensão de transferência de incentivos financeiros no componente pagamento por desempenho?' header referencia={ref} effect={effect} footerColor='#18bfc5' replay='/p8' prev='/p27'>
      <StyledContainer>
        <Typography variant='body1'>
          <p className='mt-3'>
            Como você já sabe, o novo padrão de financiamento da APS é um modelo misto. Além da capitação ponderada, do pagamento por desempenho, e do incentivo para ações estratégicas, existe ainda a possibilidade de acesso a recursos financeiros via provimento de profissionais, conforme afirmado na Portaria nº 3.510/2019<Reference num="9" onClick={() => [setRef(9), setEffect(!effect)]} />.
          </p>
          <p>
          Esta Portaria altera a Portaria de Consolidação nº 6/GM/MS/2017<Reference num="8" onClick={() => [setRef(8), setEffect(!effect)]} /> e instituiu o incentivo financeiro de custeio adicional mensal para municípios com equipes de saúde integradas a programas de formação profissional no âmbito da APS.
          </p>
          <p id='text-box'>
          Fica assim instituído o incentivo financeiro de custeio adicional mensal para os municípios com eSF ou equipes de Saúde Bucal (eSB) que sejam campo de prática para a formação profissional no âmbito da APS.
          </p>
        </Typography>
      </StyledContainer>
    </DefaultPage>
  )
}

