import React, { useState, useRef, useEffect } from 'react'
import { Typography, Box } from '@material-ui/core'
import DefaultPage from '../../components/DefaultPage'
import { StyledContainer } from './styles'
import Reference from '../../components/Reference'

import imagem from '../../assets/imagesNova/p29.png'

export default function () {

  const [ref, setRef] = useState(0)
  const [effect, setEffect] = useState(false)

  return (
    <DefaultPage header referencia={ref} effect={effect} footerColor='#18bfc5' next='/p30' replay='/p8' title3='No contexto de financiamento, o que se considera formação profissional no âmbito da APS?'>
      <StyledContainer>
        <Typography variant='body1'>
          <p>
          São consideradas modalidades de formação no âmbito da APS os programas de residência em Medicina de Família e Comunidade para os profissionais de Medicina, assim como os programas de residência nos moldes uniprofissional ou multiprofissional em APS ou Saúde da Família para os profissionais de Odontologia ou Enfermagem.
          </p>
          <p>
          O cálculo para esse incentivo tomará por base o quantitativo de profissionais em formação atuantes no município cadastrados na composição de eSF ou eSB no SCNES. Serão considerados os profissionais em formação (médico, enfermeiro ou cirurgião-dentista) cadastrados como Profissional Residente no SCNES de eSF ou eSB do município. 
          </p>
          <p className='m-0'>
          Veja os valores de incentivo e condicionalidades relacionadas às eSF:
          </p>
        </Typography>
        <Box>
          <Typography variant='body1' className='d-flex'>
            <p id='text-blue' className='bordaSE mt-3'>
            R$ 12.000,00 (doze mil reais)
            </p>
            <p id='text-claro' className='bordaSD impar mt-3'>
            Para a equipe que tenha na sua composição dois médicos e dois enfermeiros em formação.
            </p>
          </Typography>
          <Typography variant='body1' className='d-flex'>
            <p id='text-blue'>
            R$ 10.500,00 (dez mil e quinhentos reais)
            </p>
            <p id='text-claro' className='par'>
            Para a equipe que tenha na sua composição dois médicos e um enfermeiro em formação.
            </p>
          </Typography>
          <Typography variant='body1' className='d-flex'>
            <p id='text-blue'>
            R$ 9.000,00 (nove mil reais)
            </p>
            <p id='text-claro' className='impar'>
            Para a equipe que tenha na sua composição dois médicos em formação.
            </p>
          </Typography>
          <Typography variant='body1' className='d-flex'>
            <p id='text-blue'>
            R$ 7.500,00 (sete mil e quinhentos reais)
            </p>
            <p id='text-claro' className='par'>
            Para a equipe que tenha na sua composição um médico e dois enfermeiros em formação.
            </p>
          </Typography>
          <Typography variant='body1' className='d-flex'>
            <p id='text-blue'>
            R$ 6.000,00 (seis mil reais)
            </p>
            <p id='text-claro' className='impar'>
            Para a equipe que tenha na sua composição um médico e um enfermeiro em formação.
            </p>
          </Typography>
          <Typography variant='body1' className='d-flex'>
            <p id='text-blue'>
            R$ 4.500,00 (quatro mil e quinhentos reais)
            </p>
            <p id='text-claro' className='par'>
            Para a equipe que tenha na sua composição um médico em formação.
            </p>
          </Typography>
          <Typography variant='body1' className='d-flex'>
            <p id='text-blue'>
            R$ 3.000,00 (três mil reais)
            </p>
            <p id='text-claro' className='impar'>
            Para equipe que tenha na sua composição dois enfermeiros em formação.
            </p>
          </Typography>
          <Typography variant='body1' className='d-flex'>
            <p id='text-blue' className='bordaID'>
            R$ 1.500,00 (mil e quinhentos reais)
            </p>
            <p id='text-claro' className='bordaIE par'>
            Para a equipe que tenha na sua composição um enfermeiro em formação.
            </p>
          </Typography>
        </Box>
      </StyledContainer>
    </DefaultPage>
  )
}