import React, { useState } from 'react'
import { Typography, Box } from '@material-ui/core'
import Reference from '../../components/Reference'

import DefaultPage from '../../components/DefaultPage'

import { StyledContainer, LinhaH } from './styles'

import mapa from '../../assets/imagesNova/p3.png'


export default function () {

  const [ref, setRef] = useState(0)
  const [effect, setEffect] = useState(false)


  return (
    <DefaultPage header effect={effect} referencia={ref} footerColor='#18bfc5' prev='/p2' next='/p4'>
      <StyledContainer>
        <Typography variant='body1'>
          <p id='text' className='mt-3'>
          As três esferas (federal, estadual e municipal) financiam o SUS por meio de receitas que têm como objetivo investir e custear as despesas com ações e serviços públicos de saúde. A plena realização dos princípios e diretrizes do SUS é um grande desafio a ser enfrentado por gestores de todas as esferas. O Brasil é um país com dimensões continentais e com muitas diferenças regionais no que diz respeito ao desenvolvimento econômico e social, assim como em relação às particularidades culturais.
          </p>
          <p id='text'>
          Além do mais, são muitas as disparidades entre os 5.570 municípios. No contexto brasileiro, conforme as estimativas do IBGE<Reference num="1" onClick={() => [setRef(1), setEffect(!effect)]} /> referente aos municípios:
          </p>
        </Typography>
        <Box className='d-flex justify-content-between mobile'>
          <Box className='d-flex position-relative mapa-mobile'>
            <img src={mapa} alt='mapa do brasil' id='mapa'/>
          </Box>
          <Box className='all-texts'>
            <Typography variant='body1'>
              <p id='text-box' className='indentacao'>
                57,4% da população brasileira se concentra em apenas 5,8% dos municípios (324 municípios) e estes têm população com mais de 100 mil habitantes.
              </p>
              <p id='text-box' className='indentacao'>
                Os 48 municípios com mais de 500 mil habitantes concentram quase 1/3 da população, 31,7%.
              </p>
              <p id='text-box' className='indentacao'>
              A maioria dos municípios, 3.670 (68,2%), tem até 20 mil habitantes. Ou seja, há uma grande variação nos serviços prestados no âmbito da APS.
              </p>
            </Typography>
          </Box>
        </Box>
      </StyledContainer>
    </DefaultPage>
  )
}
