import styled from 'styled-components'
import { AppBar, Box, createMuiTheme } from '@material-ui/core'
import { apple_polyfill } from '../../theme/commonstyles'

export const StyledContainer = styled(Box)`
  position: relative;
  height: 100%;
  display: Flex;
  flex-direction: column;

  img{
    max-width: 100%;
  }

  ${apple_polyfill};

  #mapa{
    width: 115%;
    animation: backwards surgir 1s;
    object-fit: contain;
    @media(max-width: 900px){
    width: 100%;}
    }

  .all-texts{
    width: 65%;
    @media(max-width: 900px){
    width: 100%;}
  }

  #text-box{
    background: #44A7A0;
    padding: 2vh;
    color: #ffffff;
    border-radius: 10px;
    margin-bottom: 1vh;
    animation: backwards surgir 1s;
    animation-delay: 1s;

  }

  @keyframes surgir {
    from {
      transform: translateX(80px);
      opacity: 0;
    }

    to {
      transform: translateX(0);
      opacity: 1;
    }
  }

  .mobile{
    @media(max-width: 900px){
    flex-direction: column;}
  }
  .mapa-mobile{
    width: 22%;
    @media(max-width: 900px){
    width: 100%;}
  }

  .indentacao{
    text-indent: 0;
  }

`
export const LinhaH = styled(Box)`
  position: absolute;
  border: solid #44A7A0 1px;
  width: 60px;
  top: 15vh;
  right: -7.5vw;

`
