import React, { useState, useRef, useEffect } from 'react'
import { Typography, Box } from '@material-ui/core'
import DefaultPage from '../../components/DefaultPage'
import { StyledContainer, Modal } from './styles'
import Reference from '../../components/Reference'

import sabermais from '../../assets/buttons/atencaoA.svg'
import fechar from '../../assets/buttons/fechar.svg'

import imagem from '../../assets/imagesNova/p29.png'

export default function () {

  const [ref, setRef] = useState(0)
  const [effect, setEffect] = useState(false)

  const visible = {
    display: 'block'
  }
  const noVisible = {
    display: 'none'
  }
  const [modal, setModal] = useState(noVisible)

  return (
    <DefaultPage header referencia={ref} effect={effect} footerColor='#18bfc5' prev='/p29' replay='/p8' title3='No contexto de financiamento, o que se considera formação profissional no âmbito da APS?'>
      <StyledContainer>
        <Typography variant='body1'>
          <p>
          Já os valores de incentivo relacionados às eSB apontam duas possibilidades, são elas:
          </p>
        </Typography>
        <Typography className='d-flex align-items-center mobile' variant='body1'>
          <p id='box-blue'>
          R$ 3.000,00 (três mil reais)
          </p>
          <p id='box-white'>
          Para a equipe que tenha na sua composição dois cirurgiões-dentistas em formação.
          </p>
        </Typography>
        <Typography className='d-flex align-items-center mb-3 mt-3 mobile' variant='body1'>
          <p id='box-blue'>
          R$ 1.500,00 (mil e quinhentos reais)
          </p>
          <p id='box-white'>
          Para a equipe que tenha na sua composição um cirurgião-dentista em formação.
          </p>
        </Typography>
        <Typography variant='body1'>
          <p>
          É importante que o gestor fique atento também aos prazos relacionados aos novos cadastros de residentes, pois após a finalização do período de duração da residência (da formação do profissional), o gestor local terá até três competências consecutivas para cadastro de outro profissional em formação, caso contrário, haverá a suspensão ou alteração do valor do incentivo financeiro. Perceba que a inclusão e atualização do cadastro dos profissionais em formação no SCNES e nos sistemas é de responsabilidade da gestão municipal.
          </p>
        </Typography>
        <Typography className='d-flex botao-saber-mais' variant='body1' onClick={() => [setModal(visible)]}>
          <img src={sabermais} alt='para saber mais' id='saber-mais'/>
          <p id='psm-text'>
          IMPORTANTE
          </p>
        </Typography>
        <Modal style={modal}>
          <Typography className='d-flex botao-saber-mais-modal' variant='body1' onClick={() => [setModal(visible)]}>
            <img src={sabermais} alt='para saber mais' id='saber-mais-modal'/>
            <p id='psm-text'>
            IMPORTANTE
            </p>
          </Typography>
          <Typography variant='body1'>
            <p id='modal'>
              A Vigilância em Saúde abarca os saberes, processos e práticas referentes à vigilância epidemiológica, vigilância em saúde ambiental, vigilância em saúde do trabalhador e vigilância sanitária<Reference num="15" onClick={() => [setRef(15), setEffect(!effect)]} />.
            </p>
            <p id='modal'>
              Em 2018, através da Resolução nº 588/2018<Reference num="16" onClick={() => [setRef(16), setEffect(!effect)]} />, foi instituída a Política Nacional de Vigilância em Saúde (PNVS). Fique atento, pois a PNVS é o documento orientador do planejamento das ações de Vigilância em Saúde nas três esferas de gestão do SUS. Na PNVS, você encontrará os princípios, diretrizes e estratégias, assim com as definições de responsabilidade.
            </p>
            <p id='modal'>
              A Portaria nº 2.663/2019<Reference num="17" onClick={() => [setRef(17), setEffect(!effect)]} /> define o Piso Fixo de Vigilância em Saúde (PFVS), do Grupo de Vigilância em Saúde do Bloco de Custeio das Ações e Serviços Públicos de Saúde, destinados às Secretarias Estaduais, Distrital e Municipais de Saúde.
            </p>
            <p id='modal'>
              Em abril 02 de abril de 2020 foi instituída a Portaria nº 682/2020<Reference num="18" onClick={() => [setRef(18), setEffect(!effect)]} /> com o propósito de atualizar os valores dos repasses de recursos financeiros federais referentes ao Piso Fixo de Vigilância Sanitária (PFVisa), do Bloco de Custeio das Ações e Serviços Públicos de Saúde para os Estados, Distrito Federal e Municípios, destinados à execução das ações de vigilância sanitária.
            </p>
            <p id='modal'>
            Acesse informações sobre o <a href='https://www.saude.gov.br/acoes-e-programas/programa-de-qualificacao-das-acoes-de-vigilancia-em-saude-pqa-vs/sobre-o-programa' target='_blank'>Programa de Qualificação das Ações de Vigilância em Saúde (PQA-VS)</a>.
            </p>
          </Typography>
          <div id='button'>
            <img src={fechar} alt='' id='fechar' onClick={() => setModal(noVisible)} />
          </div>
        </Modal>
      </StyledContainer>
    </DefaultPage>
  )
}