import styled from 'styled-components'
import { AppBar, Box, createMuiTheme } from '@material-ui/core'

export const StyledContainer = styled(Box)`
  position: relative;

  @media(min-width: 900px) {
    min-height: 70vh;
  }

  #box-blue{
    background: #4BB6B2;
    border-radius: 10px;
    padding: 2rem;
    color: #ffffff;
    margin: 0;
    width: 35%;
    text-align: center;
    text-indent: 0;
    @media(max-width: 900px){
      width: 100%;
    }
    @media(min-width: 1200px){
      padding: 2.5rem;
    }
    @media(min-width: 1900px){
      padding: 3.5rem;
    }
    
  }
  #box-white{
    border: solid 2px #4BB6B2;
    border-radius: 10px;
    padding: 1rem;
    margin:0;
    height: auto;
    width: 65%;
    transform: translateX(-8px);
    text-indent: 0;
    @media(max-width: 900px){
      width: 100%;
      transform: translateX(0px);
      margin-bottom: 1rem;
    }
    @media(min-width: 900px){
      padding: 0.3;
    }
    @media(min-width: 2000px){
      padding: 1.8rem;
    }
    
  }

  .mobile{
    @media(max-width: 900px){
      flex-direction: column;
      margin: 0 !important;
    }
  }
  .botao-saber-mais{
    background: #4BB6A2;
    border-radius: 10px;
    justify-content: center;
    align-items: center;
    height: 8vh;
    right: 1vw;
    bottom: 1vh;
    padding: 2vh;
    position: absolute;
    
    @media(max-width: 900px){
        position: relative;
        width: 90%;
        margin-left: 2.5vh
    }
  }
  #saber-mais{
    height: 100%;
    margin-right: 1rem;
  }
  #psm-text{
    color: white;
    margin: 0;
    text-indent: 0;
  }
  .botao-saber-mais:hover{
    cursor: pointer;
    transform: scale(1.1)
  }
  
  

`
export const Modal = styled.div`
  position: absolute;
  background-color: #ffffff;
  padding: 1.7rem;
  width: 95%;
  height: auto;
  border: solid;
  border-color: #18bfc5;
  border-width: 2px;
  border-radius: 10px;
  box-shadow: -5px 5px 5px rgba(0, 0, 0, 0.3);
  bottom: 1vh;
  left: 2%;
  z-index: 100;
  @media(max-width: 900px){
    width: 90%;
    padding: 1rem;
    left: 0;
    position: relative;
  }
  #button{
    #fechar{
      position: absolute;
      height: 5vh;
      top: -2vh;
      right: -2vh;
      cursor: pointer;
      border-radius: 10px;
      box-shadow: -3px 3px 3px rgba(0, 0, 0, 0.3);
      
    }
    #fechar:hover{
    transform: scale(1.1)
  }
  }
  #modal{
    margin: 0;
  }
  .botao-saber-mais-modal{
    background: #4BB6A2;
    border-radius: 10px;
    justify-content: center;
    align-items: center;
    height: 8vh;
    left: 1vw;
    top: -5vh;
    padding: 2vh;
    position: absolute;
    box-shadow: -3px 3px 3px rgba(0, 0, 0, 0.3);
    @media(max-width: 900px){
        position: relative;
        width: 90%;
    }
  }
  #saber-mais-modal{
    height: 100%;
    margin-right: 1rem;
  }
  #psm-text-modal{
    color: white;
    margin: 0;
    text-indent: 0;
  }
  
`
