import React, { useState } from 'react'
import { Typography, Box } from '@material-ui/core'
import Reference from '../../components/Reference'
import DefaultPage from '../../components/DefaultPage'

import { StyledContainer } from './styles'

import imagem from '../../assets/imagesNova/p4.png'

export default function () {
  const [effect, setEffect] = useState(false)
  const [ref, setRef] = useState(0)
  return (
    <DefaultPage effect={effect} referencia={ref} header footerColor='#18bfc5' prev='/p3' next='/p5'>
      <StyledContainer>
        <Typography variant='body1'>
          <p className='mt-3'>
          Antes de tratar das especificidades do financiamento, é importante destacar que o conceito de APS surgiu na Declaração de Alma Ata, texto final da Conferência Internacional sobre Cuidados Primários de Saúde, realizada pela Organização Mundial da Saúde (OMS), na República do Cazaquistão, em 1978.
          </p>
          <Box className='d-flex align-items-center' id='box-text'>
            <p id='text'>
            No Brasil, a partir do ano de 1994, surge o Programa Saúde da Família (PSF). A partir de 2006, o PSF passou a ser denominado de Estratégia de Saúde da Família (ESF)<Reference num="2" onClick={() => [setRef(2), setEffect(!effect)]} />. As diretrizes previstas na ESF se referem a um novo modelo assistencial, no qual as práticas devem estar orientadas pelos determinantes do processo saúde-doença, considerando o indivíduo em seu contexto familiar, como parte de grupos e de comunidades socioculturais, assim como contemplando ações importantes nos campos da vigilância em saúde e da promoção da saúde<Reference num="2" onClick={() => [setRef(2), setEffect(!effect)]} />.
            </p>
            <img src={imagem} alt='' id='imagem' />
          </Box>
          <p>
          Em 2006, por meio da Portaria nº 648/2006, houve a aprovação da Política Nacional de Atenção Básica (PNAB), que foi o marco da ampliação do escopo de ações da atenção primária, destacando a Saúde da Família como estratégia prioritária<Reference num="3" onClick={() => [setRef(3), setEffect(!effect)]} />. A PNAB foi revisada nos anos de 2011 e 2017. A revisão de 2011 está expressa na Portaria nº 2.488/2011<Reference num="4" onClick={() => [setRef(4), setEffect(!effect)]} />, e a revisão de 2017, instituída pela Portaria nº 2.423/2017<Reference num="5" onClick={() => [setRef(5), setEffect(!effect)]} />. Perceba que, no Brasil, APS e Atenção Básica são sinônimos.
          </p>
        </Typography>
      </StyledContainer>
    </DefaultPage>
  )
}
