import React, { useState, useRef, useEffect } from 'react'
import { Typography, Box } from '@material-ui/core'
import DefaultPage from '../../components/DefaultPage'
import { StyledContainer } from './styles'
import Reference from '../../components/Reference'

import imagem from '../../assets/imagesNova/p5.png'

export default function () {

  const [ref, setRef] = useState(0)
  const [effect, setEffect] = useState(false)

  return (
    <DefaultPage  header referencia={ref} effect={effect} footerColor='#18bfc5' next='/p6' prev='/p4'>
      <StyledContainer>
        <Box className="texts">
          <Typography variant="body1">
            A APS é o primeiro nível de atenção à saúde no SUS. Trata-se de um conjunto de ações de saúde, no âmbito individual e coletivo, que abrange desde a vigilância e promoção da saúde até a recuperação. A APS atua tanto como porta de entrada do SUS, como meio de resolução da maioria dos problemas de saúde, e também na coordenação do cuidado e na ordenação da rede<Reference num="6" onClick={() => [setRef(6), setEffect(!effect)]} />.
          </Typography>
          <Typography variant="body1">
            Em termos de mudança no financiamento da APS no Brasil, em novembro de 2019, através da Portaria nº 2.979/2019, foi estabelecido um novo modelo<Reference num="7" onClick={() => [setRef(7), setEffect(!effect)]} />. A referida Portaria instituiu o Programa Previne Brasil, a partir da alteração da Portaria de Consolidação nº 6/GM/MS, de 28 de setembro de 2017<Reference num="8" onClick={() => [setRef(8), setEffect(!effect)]} />.
          </Typography>
          <Typography variant="body1">
            Diferente das propostas anteriores, o Previne Brasil apresenta um modelo misto de pagamento, ou seja, um novo modelo de financiamento de custeio da APS, agora composto pelos seguintes componentes:
          </Typography>
        </Box>
        <Box className="images">
          <img id='img' src={imagem} alt='' />
        </Box>
      </StyledContainer>
    </DefaultPage>
  )
}
