import styled from 'styled-components'
import { AppBar, Box, createMuiTheme } from '@material-ui/core'
import { apple_polyfill } from '../../theme/commonstyles' 

export const StyledContainer = styled(Box)`
  position: relative;
  padding: 1rem 0;
  display: block;

  img{
  max-width: 100%;
  }
  
  @media(min-width: 900px) {
    display: flex;
    flex-direction: column;
    min-height: 80vh;
  }

  @media(min-width: 1800px) {
    min-height: 85vh;
  }

  ${apple_polyfill};

  .images {
    width: 45vw;
    margin: 0 auto;
    margin-top: 2rem;
    @media(max-width: 900px){
      margin-top: 1rem;
      width: 100%;
    }
  }

  @keyframes surgir {
    from {
      transform: translateX(80px);
      opacity: 0;
    }

    to {
      transform: translateX(0);
      opacity: 1;
    }
  }

`
