import React, {useState} from 'react'
import { Typography, Box } from '@material-ui/core'
import Reference from '../../components/Reference'
import DefaultPage from '../../components/DefaultPage'

import { StyledContainer } from './styles'

import imagem from '../../assets/imagesNova/p7.png'

export default function () {
  const [effect, setEffect] = useState(false)
  const [ref, setRef] = useState(0)
  return (
    <DefaultPage effect={effect} referencia={ref} header footerColor='#18bfc5' prev='/p6' next='/p8'>
      <StyledContainer>
        <Typography variant='body1'>
          <p className='mt-3'>
          A partir do Previne Brasil, e com o complemento da Portaria nº 3.510/2019, passa a haver quatro possibilidades para que o município tenha acesso aos recursos. Ou seja, há a substituição dos critérios até então utilizados, como o Piso da Atenção Básica (PAB) Fixo e PAB Variável, que tinham como base a lógica per capita e a existência de serviços e equipes de profissionais da saúde na composição do financiamento da APS no SUS<Reference num="9" onClick={() => [setRef(9), setEffect(!effect)]} />.
          </p>
          <p>
          O novo modelo de financiamento proposto pelo Previne Brasil é um modelo misto e com foco nas pessoas cadastradas na equipe de Saúde da Família (eSF) e na equipe de Atenção Primária (eAP). Com o Previne Brasil, o cadastro do usuário passa a ser fundamental para a realização do componente capitação ponderada.
          </p>
          <Box className='d-flex justify-content-center align-items-center' id='box-text'>
            <img src={imagem} alt='' id='imagem' />
            <p id='text'>
              Você deve estar se perguntando: quando o cadastro pode ser realizado?
            </p>
          </Box>
          <p>
          O cadastro pode ser realizado, por exemplo, no momento em que o usuário procura a Unidade de Saúde da Família (USF) para marcar uma consulta, para consultar, para receber vacina, para retirar uma medicação, além de nas visitas domiciliares.
          </p>
          <p>
          Caso o limite de cadastro por município ou Distrito Federal seja ultrapassado, serão priorizadas no cálculo para definição do incentivo financeiro as pessoas cadastradas que atendem aos critérios de vulnerabilidade socioeconômica e perfil demográfico, conforme previsto no Previne Brasil. 
          </p>
        </Typography>
      </StyledContainer>
    </DefaultPage>
  )
}
