import React, { useState, useEffect } from 'react'
import { Typography, Box } from '@material-ui/core'
import Reference from '../../components/Reference'
import DefaultPage from '../../components/DefaultPage'

import check from '../../assets/imagesNova/check.png'


import { StyledContainer } from './styles'

import imagem from '../../assets/imagesNova/p7.png'

export default function () {
  const [effect, setEffect] = useState(false)
  const [ref, setRef] = useState(0)

  const Refresh = (page) => {
    switch (page) {
      case 0:
        window.sessionStorage.setItem('card0', true)
        break
      case 1:
        window.sessionStorage.setItem('card1', true)
        break
      case 2:
        window.sessionStorage.setItem('card2', true)
        break
      case 3:
        window.sessionStorage.setItem('card3', true)
        break
      case 4:
        window.sessionStorage.setItem('card4', true)
        break
      case 5:
        window.sessionStorage.setItem('card5', true)
        break
      case 6:
        window.sessionStorage.setItem('card6', true)
        break
      case 7:
        window.sessionStorage.setItem('card7', true)
        break
      case 8:
        window.sessionStorage.setItem('card8', true)
        break
      case 9:
        window.sessionStorage.setItem('card9', true)
        break
      case 10:
        window.sessionStorage.setItem('card10', true)
        break
      default:
        break
    }
  }

  useEffect(() => {
    for (let i = 0; i <= 10; i++) {
      if (window.sessionStorage.getItem('card' + i) === 'true') {
        document.getElementById('card' + i).classList = 'visited'
      }
    }
  })

  return (
    <DefaultPage effect={effect} referencia={ref} header footerColor='#18bfc5' prev='/p7' next='/p31'>
      <StyledContainer>
        <Typography variant='body1'>
          <p className='ml-2 mb-1 mt-3'>
          Continue seus estudos acessando o painel com as principais informações sobre financiamento e transferência.
          </p>
        </Typography>
        <Typography variant='body1'>
          <Box className='d-flex mobile'>
            <p className='text-box' id='card0' onClick={() => { window.location.href = '#/p9'; Refresh(0) }}>
              O que a capitação ponderada deverá considerar?
              <div id='bola' />
            </p>
            <p className='text-box' id='card1' onClick={() => { window.location.href = '#/p10'; Refresh(1) }}>
              Como se dará a transferência do financeiro da capitação ponderada?
              <div id='bola' />
            </p>
            <p className='text-box' id='card2' onClick={() => { window.location.href = '#/p11'; Refresh(2) }}>
            Conforme o novo modelo de financiamento, como o gestor enquadrará o usuário como vulnerável do ponto de vista socioeconômico?
            <div id='bola' />
            </p>
          </Box>
          <Box className='d-flex mobile'>
            <p className='text-box' id='card3' onClick={() => { window.location.href = '#/p12'; Refresh(3) }}>
            O que acontece nos casos em que a pessoa cadastrada se enquadra tanto na vulnerabilidade socioeconômica quanto no perfil demográfico?
            <div id='bola' />
            </p>
            <p className='text-box' id='card4' onClick={() => { window.location.href = '#/p16'; Refresh(4) }}>
              Como fica a financiamento do Núcleo de Apoio à Saúde da  Família (Nasf-AB)?
              <div id='bola' />
            </p>
            <p className='text-box' id='card5' onClick={() => { window.location.href = '#/p17'; Refresh(5) }}>
              Em que situações há suspensão de transferência de incentivos financeiros no componente capitação ponderada?
              <div id='bola' />
            </p>
          </Box>
          <Box className='d-flex mobile'>
            <p className='text-box h-auto' id='card6' onClick={() => { window.location.href = '#/p19'; Refresh(6) }}>
            E se, por exemplo, em seu município estiverem sendo realizados novos credenciamentos de cadastros? Como se dá o incentivo financeiro da capitação ponderada no caso de cadastro de eSF ou eAP no SCNES referente a um novo credenciamento?
            <div id='bola' />
            </p>
            <Box>
              <Box className='d-flex mobile'>
                <p className='text-box' id='card7' onClick={() => { window.location.href = '#/p20'; Refresh(7) }}>
                Quais categorias de indicadores deverão ser observadas para o pagamento por desempenho?
                <div id='bola' />
                </p>
                <p className='text-box' id='card8' onClick={() => { window.location.href = '#/p24'; Refresh(8) }}>
                Como acontece no caso de cadastro de eSF ou eAP no SCNES referente a um novo credenciamento?
                <div id='bola' />
                </p>
              </Box>
              <Box className='d-flex mobile'>
                <p className='text-box' id='card9' onClick={() => { window.location.href = '#/p25'; Refresh(9) }} >
                Em que situações há suspensão de transferência de incentivos financeiros no componente pagamento por desempenho?
                <div id='bola' />
                </p>
                <p className='text-box' id='card10' onClick={() => { window.location.href = '#/p29'; Refresh(10) }} >
                No contexto de financiamento, o que se considera formação profissional no âmbito da APS?
                <div id='bola' />
                </p>
              </Box>
            </Box>
          </Box>
        </Typography>
      </StyledContainer>
    </DefaultPage>
  )
}
