import styled from 'styled-components'
import { AppBar, Box, createMuiTheme } from '@material-ui/core'

export const StyledContainer = styled(Box)`
  position: relative;
  height: 100%;
  display: Flex;
  flex-direction: column;
  padding: 0 1vh;
  p{
    margin-bottom: 1vh; 
    text-indent: 0;
  }
  
  .mobile{
    @media(max-width:900px){
      flex-direction: column;
      align-items: center;
    }
  }
  .text-box{
    background: #3B9DAA;
    color: #ffffff;
    padding: 0.6vw;
    font-weight: bold;
    text-align: center;
    border-radius: 10px;
    margin: 0.7vh !important;
    box-shadow: -3px 3px 3px rgba(0, 0, 0, 0.3);
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 2.1vh;
    @media(min-width: 1100px){
      padding: 1.2vw;
    }
    @media(min-width: 1200px){
      padding: 0.9vw;
    }
    @media(min-width: 1300px){
      padding: 1.2vw;
    }
    @media(min-width: 1400px){
      padding: 1vw;
    }
    @media(min-width: 1900px){
      padding: 1.4vw;
    }
    @media(max-width: 900px){
      width: 90%;
      padding: 2vh;
      margin-left: 0 !important;
      margin-right: 0 !important;
    }
  }

  .visited{
    background: #508D94;
    color: #ffffff;
    padding: 0.7vw;
    font-weight: bold;
    margin: 0.7vh !important;
    text-align: center;
    border-radius: 10px;
    box-shadow: -3px 3px 3px rgba(0, 0, 0, 0.3);
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 2.1vh;
    @media(min-width: 1100px){
      padding: 1.2vw;
    }
    @media(min-width: 1200px){
      padding: 0.9vw;
    }
    @media(min-width: 1300px){
      padding: 1.3vw;
    }
    @media(min-width: 1400px){
      padding: 1vw;
    }
    @media(min-width: 1900px){
      padding: 1.8vw;
    }
    @media(min-width: 1900px){
      padding: 1.5vw;
    }
    @media(max-width: 900px){
      width: 90%;
      padding: 2vh;
      margin-left: 0 !important;
      margin-right: 0 !important;
    }
  }
  .text-box:hover{
    cursor: pointer;
    transform: scale(1.02);
    }
  .visited:hover{
    cursor: pointer;
  }
  
  #bola{
    width: 1.5vh;
    height: 1.5vh;
    background: white;
    border-radius: 50px;
    position: absolute;
    right: 0.5vh;
    top: 0.5vh;

  }
  

`
