import React, {useState} from 'react'
import { Typography, Box } from '@material-ui/core'
import Reference from '../../components/Reference'
import DefaultPage from '../../components/DefaultPage'

import { StyledContainer, Modal, ModalButton } from './styles'

import sabermais from '../../assets/buttons/sabermais.png'
import fechar from '../../assets/buttons/fechar.svg'

export default function () {
  const [effect, setEffect] = useState(false)
  const [ref, setRef] = useState(0)

  const visible = {
    visibility: 'visible'
  }
  const noVisible = {
    visibility: 'collapse'
  }
  const [modal, setModal] = useState(noVisible)

  return (
    <DefaultPage effect={effect} referencia={ref} header footerColor='#18bfc5' title3=' O que a capitação ponderada deverá considerar?' replay='/p8'>
      <StyledContainer>
        <Typography variant='body1'>
          <p className='mb-1'>
          A capitação ponderada deverá considerar:
          </p>
          <Box className='d-flex flex-column justify-content-center align-items-center mt-2 mb-2'>
            <p id='text'>
            A população cadastrada na eSF e eAP no Sistema de Informação em Saúde para a Atenção Básica (SISAB)
            </p>
            <p id='text'>
            A vulnerabilidade socioeconômica da população cadastrada na eSF e na eAP
            </p>
            <p id='text'>
            O perfil demográfico por faixa etária da população cadastrada na eSF e na eAP
            </p>
            <p className='mb-1' id='text'>
              A classificação geográfica definida pelo Instituto Brasileiro de Geografia e Estatística (IBGE)
            </p>
          </Box>
          <p>
          Como gestor, é importante que você registre que, para fins de repasse do incentivo financeiro será considerada a população cadastrada na eSF e na eAP, sendo o limite de cadastro por município e Distrito Federal correspondente ao resultado da multiplicação do número de suas eSF e eAP credenciadas e cadastradas no Sistema de Cadastro Nacional de Estabelecimentos de Saúde (SCNES) e do quantitativo potencial de pessoas cadastradas por equipe, não podendo ultrapassar a população total definida pelo IBGE.
          </p>
        </Typography>
        <ModalButton onClick={() => [setModal(visible)]}>
          <img src={sabermais} alt='para saber mais'/>
          <Typography variant='body1'>
          PARA SABER MAIS
          </Typography>
        </ModalButton>
        <Modal style={modal}>
          <Typography className='d-flex botao-saber-mais-modal' variant='body1'>
            <img src={sabermais} alt='para saber mais' id='saber-mais-modal'/>
            <p>PARA SABER MAIS</p>
          </Typography>
          <Typography variant='body1'>
            Assista ao vídeo <a href='https://www.youtube.com/watch?v=JnpAf1mzwS0' target='_blank'>Cadastre Já – Novo Financiamento da APS</a>, produzido pela Secretaria de Atenção Primária à Saúde e fique por dentro do assunto.
          </Typography>
          <div id='button'>
            <img src={fechar} alt='' id='fechar' onClick={() => setModal(noVisible)} />
          </div>
        </Modal>
      </StyledContainer>
    </DefaultPage>
  )
}
