import styled from 'styled-components'
import { AppBar, Box, createMuiTheme } from '@material-ui/core'

export const StyledContainer = styled(Box)`
  position: relative;
  height: 100%;
  display: flex;
  flex-direction: column;
  #text{
    background: #44A7A0;
    color: #ffffff;
    padding: 2vh;
    border-radius: 10px;
    font-weight: bold;
    margin: 0 auto;
    margin-bottom: 0.5rem;
    width: 100%;
    text-indent: 0; 
  }

  .botao-saber-mais:hover{
    cursor: pointer;
    transform: scale(1.1)
  }
`

export const ModalButton = styled.button`
  display: flex;
  align-items: center;
  justify-content: center;
  background: ${props => props.theme.palette.primary.dark};
  border-radius: 1rem;
  padding: 0.5rem .25rem;
  // min-height: 4rem;
  border: none;
  transition: 0.2s ease;
  @media(min-width: 900px){
    width: 25vw;
    margin: 0 0 0 auto;
    position: relative;
    top: -1.5rem;
  }
  @media(min-width:1000px){
    top: 0;
    width: 27vw;
    padding: 1rem .25rem;
  }
  @media(min-width:1200px){
    width: 22vw;
  }
  @media(min-width:1600px){
    padding: 1.5rem .25rem;
  }
  @media(min-width:2000px){
    padding: 2rem .25rem;
  }

  :hover {
    background: #4BB6A2;
  }

  p {
    color: white;
    font-weight: bolder;
  }
  
  img {
    width: 100%;
    max-width: 2.5rem;
  }
`

export const Modal = styled.div`
  position: absolute;
  background-color: #ffffff;
  padding: 3rem;
  width: 80%;
  height: auto;
  border: solid;
  border-color: #18bfc5;
  border-width: 2px;
  border-radius: 10px;
  box-shadow: -5px 5px 5px rgba(0, 0, 0, 0.3);
  bottom: 30vh;
  left: 10%;
  z-index: 100;
  @media(max-width: 900px){
    width: 90%;
    padding: 1rem;
    left: 0;
    position: relative;
  }
  #button{
    #fechar{
      position: absolute;
      height: 5vh;
      top: -2vh;
      right: -2vh;
      cursor: pointer;
      border-radius: 10px;
      box-shadow: -3px 3px 3px rgba(0, 0, 0, 0.3);
      
    }
    #fechar:hover{
    transform: scale(1.1)
    }
  }
  #modal{
    text-indent: 0;
  }
  .botao-saber-mais-modal{
    background: #4BB6A2;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    left: 1vw;
    top: -5vh;
    padding: .5rem;
    position: absolute;
    box-shadow: -3px 3px 3px rgba(0, 0, 0, 0.3);
    @media(max-width: 900px){
        position: relative;
        width: 90%;
    }

    p {
      color: white;
      text-indent: 0;
      margin: 0;
      line-height: 1.1;
    }

    img {
      width: 100%;
      max-width: 2.5rem;
      object-fit: contain;
    }
  }
  #saber-mais-modal{
    height: 100%;
    margin-right: 1rem;
  }
  #psm-text-modal{
    color: white;
    margin: 0;
    text-indent: 0;
  }
`
